Sync with portage [Thu Jan 25 09:33:30 MSK 2024].

master 2526
root 3 months ago
parent c98bc3fcb6
commit 85412b7475

Binary file not shown.

Binary file not shown.

@ -3,3 +3,4 @@ DIST aws-cli-1.32.18.gh.tar.gz 2626034 BLAKE2B 3d60094c5b6e70f8df57ada95e269cb71
DIST aws-cli-1.32.23.gh.tar.gz 2627296 BLAKE2B b85f77efb7e7f9fac19fc342bcef44def80de24ec7ce50157fc06b0db6c3e0726c21ffcd13861d11170745d76e15e8f54d4d3ec030b4dea93d882b31a9aa38b2 SHA512 b566af885a980a74e159bd41ec4dbb94af87a5a43f4c07845c98ce60762bf33f2770c46a290f95102819da7266bb59040fbb4c7d92422c32f6e1a0b7bfa6f5cf
DIST aws-cli-1.32.25.gh.tar.gz 2628727 BLAKE2B a7058ac75a3c2952c03f0a70faf87b53587c108b28109114c66a5232a4a59f856ee7a49c8058a6b8d08ddfebdf86f5bc6a79fd43a4397663c75163013fb50608 SHA512 68882310a1cb2202522ffb559e9ae5e72fcff0dd5bcd130a2df2df0698e510e05d9763f618c506d1c3990b51cbde9f6186633b4cfb970f799994b43da0f03946
DIST aws-cli-1.32.26.gh.tar.gz 2629020 BLAKE2B 4e493e46ee004bf97be65733f28382a81f737ee30182e22328c20e48e9cd1106ca391c98d18b883739520d73089602d1a4c559e6af4b61ea4d5ea4157e9f1081 SHA512 1f02c53517593ced7ab18d71b6d5eab6fd68673169032b6540acb3675c413aa6047cdbf427d595c2bf4df8eb9575d3455a50be3c7906d06bafa12e627781469a
DIST aws-cli-1.32.27.gh.tar.gz 2629131 BLAKE2B cd29f4fae8ef9bdc39bb2737649123ddc65195eef642ca511a9de5c0f8530833efa8bbd8da0ca14dded088fe8ed662a058188aea2fba290f88a1f0c89a678fb4 SHA512 68af10e6beadf7454dfbed51d78ed5792b22b9a7755019b300f64c6a5c9bf7dd1be1649f5cea1d2368811d2b5b18cd8bdb511c18b67f4775c37717ce9bd5d3ee

@ -0,0 +1,89 @@
# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
DISTUTILS_USE_PEP517=setuptools
PYTHON_COMPAT=( python3_{10..12} )
inherit bash-completion-r1 distutils-r1
MY_P=aws-cli-${PV}
DESCRIPTION="Universal Command Line Environment for AWS"
HOMEPAGE="
https://github.com/aws/aws-cli/
https://pypi.org/project/awscli/
"
SRC_URI="
https://github.com/aws/aws-cli/archive/${PV}.tar.gz
-> ${MY_P}.gh.tar.gz
"
S=${WORKDIR}/${MY_P}
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
# botocore is x.(y+2).z
BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 2)).$(ver_cut 3-)"
RDEPEND="
>=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
dev-python/colorama[${PYTHON_USEDEP}]
dev-python/docutils[${PYTHON_USEDEP}]
dev-python/rsa[${PYTHON_USEDEP}]
>=dev-python/s3transfer-0.10.0[${PYTHON_USEDEP}]
dev-python/pyyaml[${PYTHON_USEDEP}]
!app-admin/awscli-bin
"
BDEPEND="
test? (
dev-python/pytest-forked[${PYTHON_USEDEP}]
)
"
EPYTEST_XDIST=1
distutils_enable_tests pytest
src_prepare() {
# do not rely on bundled deps in botocore (sic!)
find -name '*.py' -exec sed -i \
-e 's:from botocore[.]vendored import:import:' \
-e 's:from botocore[.]vendored[.]:from :' \
{} + || die
# strip overzealous upper bounds on requirements
sed -i -e 's:,<[0-9.]*::' -e 's:==:>=:' setup.py || die
distutils-r1_src_prepare
}
python_test() {
local serial_tests=(
tests/functional/ecs/test_execute_command.py::TestExecuteCommand::test_execute_command_success
tests/functional/ssm/test_start_session.py::TestSessionManager::test_start_session_{fails,success}
tests/functional/ssm/test_start_session.py::TestSessionManager::test_start_session_with_new_version_plugin_success
tests/unit/customizations/codeartifact/test_adapter_login.py::TestDotNetLogin::test_login_dotnet_sources_listed_with_backtracking
tests/unit/customizations/codeartifact/test_adapter_login.py::TestDotNetLogin::test_login_dotnet_sources_listed_with_backtracking_windows
tests/unit/customizations/codeartifact/test_adapter_login.py::TestNuGetLogin::test_login_nuget_sources_listed_with_backtracking
tests/unit/customizations/ecs/test_executecommand_startsession.py::TestExecuteCommand::test_execute_command_success
tests/unit/customizations/test_sessionmanager.py
tests/unit/test_compat.py::TestIgnoreUserSignals
tests/unit/test_help.py
tests/unit/test_utils.py::TestIgnoreCtrlC::test_ctrl_c_is_ignored
)
local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
EPYTEST_XDIST= epytest "${serial_tests[@]}"
local EPYTEST_DESELECT=( "${serial_tests[@]}" )
# integration tests require AWS credentials and Internet access
epytest tests/{functional,unit}
}
python_install_all() {
newbashcomp bin/aws_bash_completer aws
insinto /usr/share/zsh/site-functions
newins bin/aws_zsh_completer.sh _aws
distutils-r1_python_install_all
rm "${ED}"/usr/bin/{aws.cmd,aws_bash_completer,aws_zsh_completer.sh} || die
}

Binary file not shown.

@ -1,4 +1,4 @@
# Copyright 1999-2023 Gentoo Authors
# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@ -13,7 +13,7 @@ SRC_URI+=" verify-sig? ( https://download.savannah.gnu.org/releases/lzip/${PN}/$
LICENSE="libstdc++" # fancy form of GPL-2+ with library exception
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~loong ~mips ppc ppc64 ~riscv ~s390 sparc x86"
BDEPEND="verify-sig? ( sec-keys/openpgp-keys-antoniodiazdiaz )"

@ -1,3 +1 @@
DIST tarlz-0.23.tar.lz 112276 BLAKE2B 87153b1e843ed74b5efd339d29e79ddef2bbd11ff951898383ae4c6c099f4e97ef58b8bd2f14ff5bff2cfd6baccb433ab55b9b9b78d0893caef5bd1f4d07a36e SHA512 623407142d03e0ddae3dbb057b8ef5f1aea850418dbb47c6278affa42c88bc1786cd3249d1e8c018643f41516787225cb2ed3aca2fc02ba8e65dfe4744f965d8
DIST tarlz-0.24.tar.lz 113503 BLAKE2B 5d9f3a65c29ba5131faacaf0b519494e4ba659182a7dd30c49aa3d0b0a507ce699ba0539684f36a65dd30bc2bf58b59ebedf7906cc210944c98bf3f6cb765608 SHA512 8aa617ce016675b24c3286ca44afef2801f37b8f617f89665aedd20266fdde1bc8a0ad6293a70b788fb36ad1f5c761d3141c26ab7b4615c8625d72f11c680d5c
DIST tarlz-0.25.tar.lz 113783 BLAKE2B 56aad4c839ec4fe10bcd7101cea3300aae8e73630ac95de529401d308b23f8fb292d02a7817484259985fc079380e50219ea8d5002427f2bffad63137a1f03b1 SHA512 a55e89c3e701375d47f6fefd3cba5621f53371f3b3e59c174759e5d122f852b6eec02f5e71ce375b84d6af253841ad4b0d4c8a8af8fc12b81f877f0ab8c3b3c8

@ -1,32 +0,0 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
inherit toolchain-funcs unpacker
DESCRIPTION="A parallel archiver combining tar and lzip"
HOMEPAGE="https://www.nongnu.org/lzip/tarlz.html"
SRC_URI="https://download.savannah.gnu.org/releases/lzip/${PN}/${P}.tar.lz"
LICENSE="GPL-2+"
SLOT="0"
KEYWORDS="amd64"
RDEPEND="
>=app-arch/lzlib-1.12
"
DEPEND="
${RDEPEND}
"
BDEPEND="
$(unpacker_src_uri_depends)
"
src_configure() {
econf \
CXX="$(tc-getCXX)" \
CXXFLAGS="${CXXFLAGS}" \
CPPFLAGS="${CPPFLAGS}" \
LDFLAGS="${LDFLAGS}"
}

@ -1,32 +0,0 @@
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
inherit toolchain-funcs unpacker
DESCRIPTION="A parallel archiver combining tar and lzip"
HOMEPAGE="https://www.nongnu.org/lzip/tarlz.html"
SRC_URI="https://download.savannah.gnu.org/releases/lzip/${PN}/${P}.tar.lz"
LICENSE="GPL-2+"
SLOT="0"
KEYWORDS="amd64"
RDEPEND="
>=app-arch/lzlib-1.12
"
DEPEND="
${RDEPEND}
"
BDEPEND="
$(unpacker_src_uri_depends)
"
src_configure() {
econf \
CXX="$(tc-getCXX)" \
CXXFLAGS="${CXXFLAGS}" \
CPPFLAGS="${CPPFLAGS}" \
LDFLAGS="${LDFLAGS}"
}

@ -11,7 +11,7 @@ SRC_URI="https://download.savannah.gnu.org/releases/lzip/${PN}/${P}.tar.lz"
LICENSE="GPL-2+"
SLOT="0"
KEYWORDS="~amd64"
KEYWORDS="amd64"
RDEPEND="
>=app-arch/lzlib-1.12

@ -13,7 +13,7 @@ SRC_URI="
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~loong ppc ppc64 ~riscv ~sparc x86 ~amd64-linux ~x86-linux"
IUSE="doc"
DEPEND="

Binary file not shown.

@ -14,7 +14,7 @@ SRC_URI="https://archive.xfce.org/src/apps/${PN}/${PV%.*}/${P}.tar.bz2"
LICENSE="GPL-2+"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~ia64 ~loong ~ppc ~ppc64 ~riscv ~x86"
KEYWORDS="amd64 arm arm64 ~ia64 ~loong ~ppc ppc64 ~riscv x86"
IUSE="gstreamer +udev"
DEPEND="

Binary file not shown.

@ -1,4 +1,4 @@
# Copyright 1999-2023 Gentoo Authors
# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@ -20,7 +20,7 @@ else
-> ${P}.tar.gz"
S="${WORKDIR}/${PN}-${COMMIT}"
KEYWORDS="~amd64 ~x86"
KEYWORDS="amd64 ~x86"
fi
LICENSE="GPL-3+"

Binary file not shown.

@ -1,3 +1 @@
DIST pycargoebuild-0.12.1.gh.tar.gz 38957 BLAKE2B e20d739ec1e413acef66b50d959dd7b72abcbb3d729381961415004f529e602ac0c4964747aa13e80759f959068bd01af73fbf5953e51ae54dd8d40d6c4f97af SHA512 52e1cca03e3862339629af3688f8d2cf29ad7caf4dc5acf58360db8755ec4844e664425156f3ebd93e2fb1c4b1d4d1ee4a3b2ee41d1766290986a2a3f992fa38
DIST pycargoebuild-0.13.0.gh.tar.gz 39250 BLAKE2B de03ab08cd4288f86e87b8e910fcfb24312cecf5d3642c74c2fa4ad8a5699d988e0046c95d5ff3da02eb503f88ded376cf20d0808f46b9b7aceb7d6ce359a98a SHA512 00e5dee77a02384b861a7455e9c6ecd0a546a0a8a61f5e56ad665fee582a2c772410607995c679bff92bd92704118631c0f89feeb2a3b661b7a07d94be1b4711
DIST pycargoebuild-0.13.1.gh.tar.gz 40724 BLAKE2B 8332def693da15fa5bf76e36defc92d6be9ebb78f5f58763f1df0a3f5d03d24bcd3d467ef8e23fbbedf6cadffbdc61898d7d9d9a455f30a820b261398868f2cf SHA512 4a3eb0c703008a3ba226de24c7c5f444b1c9dee08def473b03e03112ad8f5d8d620f1d12e528c73c98fa46d2a18658a1f3862ac547ca1121e7834cd1c4ab65d0

@ -1,32 +0,0 @@
# Copyright 2022-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
DISTUTILS_USE_PEP517=flit
PYTHON_COMPAT=( python3_{10..12} pypy3 )
inherit distutils-r1
DESCRIPTION="A generator for Rust/Cargo ebuilds written in Python"
HOMEPAGE="
https://github.com/projg2/pycargoebuild/
https://pypi.org/project/pycargoebuild/
"
SRC_URI="
https://github.com/projg2/pycargoebuild/archive/v${PV}.tar.gz
-> ${P}.gh.tar.gz
"
LICENSE="MIT"
SLOT="0"
KEYWORDS="amd64 ~arm64 ~loong ~ppc64"
RDEPEND="
dev-python/license-expression[${PYTHON_USEDEP}]
$(python_gen_cond_dep '
dev-python/tomli[${PYTHON_USEDEP}]
' 3.9 3.10)
"
distutils_enable_tests pytest

@ -1,32 +0,0 @@
# Copyright 2022-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
DISTUTILS_USE_PEP517=flit
PYTHON_COMPAT=( python3_{10..12} pypy3 )
inherit distutils-r1
DESCRIPTION="A generator for Rust/Cargo ebuilds written in Python"
HOMEPAGE="
https://github.com/projg2/pycargoebuild/
https://pypi.org/project/pycargoebuild/
"
SRC_URI="
https://github.com/projg2/pycargoebuild/archive/v${PV}.tar.gz
-> ${P}.gh.tar.gz
"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~arm64 ~loong ~ppc64"
RDEPEND="
dev-python/license-expression[${PYTHON_USEDEP}]
$(python_gen_cond_dep '
dev-python/tomli[${PYTHON_USEDEP}]
' 3.9 3.10)
"
distutils_enable_tests pytest

@ -20,7 +20,7 @@ SRC_URI="
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~arm64 ~loong ~ppc64"
KEYWORDS="amd64 ~arm64 ~loong ~ppc64"
RDEPEND="
dev-python/license-expression[${PYTHON_USEDEP}]

Binary file not shown.

@ -17,7 +17,7 @@ else
SRC_URI="https://poppler.freedesktop.org/${P}.tar.xz"
SRC_URI+=" test? ( https://gitlab.freedesktop.org/poppler/test/-/archive/${TEST_COMMIT}/test-${TEST_COMMIT}.tar.bz2 -> ${PN}-test-${TEST_COMMIT}.tar.bz2 )"
SRC_URI+=" verify-sig? ( https://poppler.freedesktop.org/${P}.tar.xz.sig )"
KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~loong ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos ~x64-solaris"
KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~loong ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos ~x64-solaris"
SLOT="0/133" # CHECK THIS WHEN BUMPING!!! SUBSLOT IS libpoppler.so SOVERSION
fi

@ -1,10 +1,3 @@
DIST qpdf-11.5.0-doc.zip 6858454 BLAKE2B bd1e7f974eb2b0e22395216a1e3d55b18b1140c2210b230e5382934e5465314f8c73db5e24b8daf2478b89d94eba6214452be5f9f1ec4eb06fe6f5b254742caf SHA512 263fa79a9a1d14086787adf8ce2cfb1e951f504cb214a9c4b44e261a72e715a33e03dc3084a8aaa76e0b068ac0fe5905c6a1ec99e52e962c1589f1f4d0e6f678
DIST qpdf-11.5.0.tar.gz 18638138 BLAKE2B 54545665a31cf0cbfc50faa18f1dc64f036cd5bfd2b274ff443718e704e26f3a8cf83600f9dd7d8039cf4bdcaf42e1c14f03db775226b56c8ba53be33e0ca522 SHA512 3c8504de11c34e7d623b829c0c987ba5555c2bdcfdd5d4408d29f321fd79154ec2d6fa76f45556046dfc931b51bd75e3062973c36c8020383acacbe56c90e04c
DIST qpdf-11.6.3-doc.zip 6864204 BLAKE2B 05a9d44b877ab9eab4548646ec2cd8110a47e594b0b1d364c7a5d25b249efa368f94c0e549da8697f685fde17ce59378a32e6c31f5dcd1731c97a2434cbe5af0 SHA512 0cdeb6d408823a49909d2394a9cedd8ae5d4f9fd4f4dbef70ce60c60401bc9b78b1740669f46b78609f11b0b4c8bdaafe094158e52b9449dca32d6afd3ece377
DIST qpdf-11.6.3.tar.gz 18660605 BLAKE2B c684dab7544fe6024db26c7538cc2e16319aeb6c023b53ea97ec9c5ae474ac67538a99a80524d924ac0758f0fc7d552dbea1a47df7595b25dbec121738a07ec8 SHA512 afc1d130e10bb527a7425ce39f6d93245c3d9b08002d104fdf0e909b586f80174fa2eed863794f10b76bab86a064b904eebca89902212accc45a68f9430c122e
DIST qpdf-11.6.4-doc.zip 6865106 BLAKE2B e9d68c384fec1da18e4a677b6b1eed58cb2589609af937d39710a4cd8848df93f702778fe83868d2e3a6232fa4e7d044821770f954b558869e1ff435cb934d64 SHA512 2ebbf7b257adc56b27f645cdda9b311c21db4823f3fb6227a408e874a4aff4a0de2ccb578e71790287141cacac71e08d3f13b87e34041e0c6a980ea89918826e
DIST qpdf-11.6.4.tar.gz 18655617 BLAKE2B 57e460f106989e9f5e882f80827c4f0346b4dc829e6dd2f960cd321a3dd6587d77b1fd2a94a5c0a2be32d5e2183e1d98fab53d37cbefe176814f221793807e8c SHA512 4e2497ae0f2524173b9288466e94a5bcab8326c153a605b4de7a7c55f640934818ecb40c2f9bbb7508c5bd7afd529fa1f88dd08647bfaa4d2b3b6118ca928c9a
DIST qpdf-11.6.4.tar.gz.asc 833 BLAKE2B 423552746f54f52dc7149bc1ba6854dfc4df8e4bb9d076c2cf42196e81c16efdf7fffacf3f155c394042ca08a25a5006b007afe932e64697c3f4bd023837a18b SHA512 3b7a78a9233516f98a26b6c320903ed41bad065a2d7a54d4525c60fa7839bb577b7e3b2200df232e205cd844daa7d582a9970c375a9d40d21fc9782e60b41525
DIST qpdf-11.7.0-doc.zip 6874893 BLAKE2B b14b0f68f4599bd4f396cccbc35b13b0f52b72856de1afd3fdb0c70b33e1702c4afd7c954011df72905c06ff262b08dc9519e44dcef9b7633423d38208542795 SHA512 7ceeff62788defe3649a8d242220c7c8208ebe92dbd9d67b4b53d5036afb1cdbcfe46b4140b064b0542cba2d8eaaad6eedec1ed7b7bd0ccafe2dd7aa20efaa69
DIST qpdf-11.7.0.tar.gz 18124824 BLAKE2B aa10e154899a7fd53d696b9521cc8a44d4a336094711ddc2a506dac8841ae12ce5bcd604555725d2b6bae3c63a6a3f6ef0e9ab6baf38dd3d7fa71507234378a3 SHA512 6ee302671fd4513c5b22f101feb773b4101de6cc5ff6b0e25d1daa03df82420f87ce7db49a6c47758d7e8bbc3beeb997d4671d52e4cf0ac0d4f817f10677d1f9
DIST qpdf-11.7.0.tar.gz.asc 833 BLAKE2B e0b15e6ed6b67fc222f7b4d9f863e8630af814bede3605ca56b83b287d7e02c700092e59f3805565884b55af96c4ddd407331cae26273287b546c32a7975c331 SHA512 ef5aa1661944fd56c3f929ee1ffc78229667ed1d1c639aab82a0ff3a3891455e4dcf3dffbb17e9d22862d6426a263182360b19dd58435a2413c19761abc9b966

@ -1,75 +0,0 @@
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
inherit cmake bash-completion-r1
DESCRIPTION="Command-line tool for structural, content-preserving transformation of PDF files"
HOMEPAGE="https://qpdf.sourceforge.net/"
# TODO: verify-sig
SRC_URI="https://github.com/qpdf/qpdf/releases/download/v${PV}/${P}.tar.gz"
SRC_URI+=" doc? ( https://github.com/qpdf/qpdf/releases/download/v${PV}/${P}-doc.zip )"
LICENSE="|| ( Apache-2.0 Artistic-2 )"
# Subslot for libqpdf soname version (just represent via major version)
SLOT="0/$(ver_cut 1)"
KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux"
IUSE="doc examples gnutls ssl test"
RESTRICT="!test? ( test )"
RDEPEND="
media-libs/libjpeg-turbo:=
sys-libs/zlib
ssl? (
gnutls? ( net-libs/gnutls:= )
!gnutls? ( dev-libs/openssl:= )
)
"
DEPEND="
${RDEPEND}
test? (
app-text/ghostscript-gpl[tiff(+)]
media-libs/tiff
sys-apps/diffutils
)
"
BDEPEND="
dev-lang/perl
doc? ( app-arch/unzip )
"
src_configure() {
# Keep an eye on https://qpdf.readthedocs.io/en/stable/packaging.html.
local mycmakeargs=(
-DINSTALL_EXAMPLES=$(usex examples)
# Breaks install with USE=-doc in 11.0.0?
#-DINSTALL_MANUAL=ON
)
if use ssl ; then
local crypto_provider=$(usex gnutls GNUTLS OPENSSL)
local crypto_provider_lowercase=${crypto_provider,,}
mycmakeargs+=(
-DDEFAULT_CRYPTO=${crypto_provider_lowercase}
-DREQUIRE_CRYPTO_${crypto_provider}=ON
)
fi
cmake_src_configure
}
src_install() {
if use doc ; then
mv "${WORKDIR}"/${P}-doc "${BUILD_DIR}"/manual/doc-dist || die
fi
cmake_src_install
# Completions
dobashcomp completions/bash/qpdf
insinto /usr/share/zsh/site-functions
doins completions/zsh/_qpdf
}

@ -1,80 +0,0 @@
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
inherit cmake bash-completion-r1
DESCRIPTION="Command-line tool for structural, content-preserving transformation of PDF files"
HOMEPAGE="https://qpdf.sourceforge.net/"
# TODO: verify-sig
SRC_URI="https://github.com/qpdf/qpdf/releases/download/v${PV}/${P}.tar.gz"
SRC_URI+=" doc? ( https://github.com/qpdf/qpdf/releases/download/v${PV}/${P}-doc.zip )"
LICENSE="|| ( Apache-2.0 Artistic-2 )"
# Subslot for libqpdf soname version (just represent via major version)
SLOT="0/$(ver_cut 1)"
KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux"
IUSE="doc examples gnutls test"
RESTRICT="!test? ( test )"
RDEPEND="
media-libs/libjpeg-turbo:=
sys-libs/zlib
gnutls? ( net-libs/gnutls:= )
!gnutls? ( dev-libs/openssl:= )
"
DEPEND="
${RDEPEND}
test? (
app-text/ghostscript-gpl[tiff(+)]
media-libs/tiff
sys-apps/diffutils
)
"
BDEPEND="
dev-lang/perl
doc? ( app-arch/unzip )
"
QA_CONFIG_IMPL_DECL_SKIP=(
# glibc only (bug #899052)
malloc_info
)
src_configure() {
# Keep an eye on https://qpdf.readthedocs.io/en/stable/packaging.html.
local mycmakeargs=(
-DINSTALL_EXAMPLES=$(usex examples)
# Avoid automagic crypto deps
-DUSE_IMPLICIT_CRYPTO=OFF
-DALLOW_CRYPTO_NATIVE=ON
# Breaks install with USE=-doc in 11.0.0?
#-DINSTALL_MANUAL=ON
)
local crypto_provider=$(usex gnutls GNUTLS OPENSSL)
local crypto_provider_lowercase=${crypto_provider,,}
mycmakeargs+=(
-DDEFAULT_CRYPTO=${crypto_provider_lowercase}
-DREQUIRE_CRYPTO_${crypto_provider}=ON
)
cmake_src_configure
}
src_install() {
if use doc ; then
mv "${WORKDIR}"/${P}-doc "${BUILD_DIR}"/manual/doc-dist || die
fi
cmake_src_install
# Completions
dobashcomp completions/bash/qpdf
insinto /usr/share/zsh/site-functions
doins completions/zsh/_qpdf
}

@ -1,97 +0,0 @@
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
inherit bash-completion-r1 cmake verify-sig
DESCRIPTION="Command-line tool for structural, content-preserving transformation of PDF files"
HOMEPAGE="
https://qpdf.sourceforge.net/
https://github.com/qpdf/qpdf/
"
SRC_URI="
https://github.com/qpdf/qpdf/releases/download/v${PV}/${P}.tar.gz
verify-sig? (
https://github.com/qpdf/qpdf/releases/download/v${PV}/${P}.tar.gz.asc
)
"
SRC_URI+=" doc? ( https://github.com/qpdf/qpdf/releases/download/v${PV}/${P}-doc.zip )"
LICENSE="|| ( Apache-2.0 Artistic-2 )"
# Subslot for libqpdf soname version (just represent via major version)
SLOT="0/$(ver_cut 1)"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
IUSE="doc examples gnutls test"
RESTRICT="!test? ( test )"
RDEPEND="
media-libs/libjpeg-turbo:=
sys-libs/zlib
gnutls? ( net-libs/gnutls:= )
!gnutls? ( dev-libs/openssl:= )
"
DEPEND="
${RDEPEND}
test? (
app-text/ghostscript-gpl[tiff(+)]
media-libs/tiff
sys-apps/diffutils
)
"
BDEPEND="
dev-lang/perl
doc? ( app-arch/unzip )
verify-sig? ( sec-keys/openpgp-keys-jberkenbilt )
"
QA_CONFIG_IMPL_DECL_SKIP=(
# glibc only (bug #899052)
malloc_info
)
VERIFY_SIG_OPENPGP_KEY_PATH=/usr/share/openpgp-keys/jberkenbilt.asc
src_unpack() {
if use verify-sig; then
verify-sig_verify_detached "${DISTDIR}"/${P}.tar.gz{,.asc}
fi
default
}
src_configure() {
local crypto_provider=$(usex gnutls GNUTLS OPENSSL)
local crypto_provider_lowercase=${crypto_provider,,}
# Keep an eye on https://qpdf.readthedocs.io/en/stable/packaging.html.
local mycmakeargs=(
-DINSTALL_EXAMPLES=$(usex examples)
# Avoid automagic crypto deps
-DUSE_IMPLICIT_CRYPTO=OFF
-DALLOW_CRYPTO_NATIVE=ON
# Breaks install with USE=-doc in 11.0.0?
#-DINSTALL_MANUAL=ON
-DDEFAULT_CRYPTO=${crypto_provider_lowercase}
-DREQUIRE_CRYPTO_${crypto_provider}=ON
)
cmake_src_configure
}
src_install() {
if use doc ; then
mv "${WORKDIR}"/${P}-doc "${BUILD_DIR}"/manual/doc-dist || die
fi
cmake_src_install
# Completions
dobashcomp completions/bash/qpdf
insinto /usr/share/zsh/site-functions
doins completions/zsh/_qpdf
}

@ -23,7 +23,7 @@ SRC_URI="
LICENSE="|| ( Apache-2.0 Artistic-2 )"
# Subslot for libqpdf soname version (just represent via major version)
SLOT="0/$(ver_cut 1)"
KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux"
KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux"
IUSE="doc examples gnutls test"
RESTRICT="!test? ( test )"

Binary file not shown.

@ -1,2 +1 @@
DIST gentoo-syntax-12.tar.bz2 21022 BLAKE2B 758993282ccc26384bb1fc761f2a07059d5e2e7038f56d48ec19ac82ddecb7cd1601fbdd4221e6b41b43281195d862c93d98c12c47d2d43f4a6cbb4784ae6b46 SHA512 07bc7102b3f687c53d8e46c5ca91c1d605239490f160c6db11c6d17ae95b94d34e9ac654b3c9935099382f39ba8b92ea373b09f86fc6452840d12f135820b2b3
DIST gentoo-syntax-13.tar.bz2 20995 BLAKE2B 90196be7b1f0bbbe8398f327cebe2bbbcffbf8db2e27debc321478911d2413de51ef29d3a94e936e1d92eb4d246237d66d4fa8742fd165e4043ceb2dd80beb9a SHA512 c695dd8c80b551307381a4fb0656adc07321cf60f88e1888ce3a2080343d458a35bb4bda785e233fa4907534b35114c83b5d4b5e3f3bd02d0d6c2dd7ab7deda1

@ -1,42 +0,0 @@
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit vim-plugin
DESCRIPTION="vim plugin: Gentoo and Portage syntax highlighting"
HOMEPAGE="https://github.com/gentoo/gentoo-syntax"
SRC_URI="https://gitweb.gentoo.org/proj/gentoo-syntax.git/snapshot/${P}.tar.bz2"
LICENSE="vim"
SLOT="0"
KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos ~x64-solaris"
IUSE="ignore-glep31"
VIM_PLUGIN_HELPFILES="gentoo-syntax"
VIM_PLUGIN_MESSAGES="filetype"
src_prepare() {
default
if use ignore-glep31 ; then
for f in ftplugin/*.vim ; do
ebegin "Removing UTF-8 rules from ${f} ..."
sed -i -e 's~\(setlocal fileencoding=utf-8\)~" \1~' ${f} \
|| die "waah! bad sed voodoo. need more goats."
eend $?
done
fi
}
pkg_postinst() {
vim-plugin_pkg_postinst
if [[ -z ${REPLACING_VERSIONS} ]] ; then
if use ignore-glep31 1>/dev/null ; then
ewarn "You have chosen to disable the rules which ensure GLEP 31"
ewarn "compliance. When editing ebuilds, please make sure you get"
ewarn "the character set correct."
fi
fi
}

@ -1,4 +1,4 @@
# Copyright 1999-2023 Gentoo Authors
# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@ -11,7 +11,7 @@ SRC_URI="https://gitweb.gentoo.org/proj/gentoo-syntax.git/snapshot/${P}.tar.bz2"
LICENSE="vim"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos ~x64-solaris"
KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos ~x64-solaris"
IUSE="ignore-glep31"
VIM_PLUGIN_HELPFILES="gentoo-syntax"

Binary file not shown.

@ -1,2 +1 @@
DIST gnus-2.05-pkg.tar.gz 3615284 BLAKE2B c06784a2e7a42df390f67b3e2e4dbba2a427b932bb4e2e864b2bf696adda8bff16d61892167219f5b391befd2ef667f36b67304b22d3e80cb63a6e7a47df485c SHA512 892b76ec6a57d8359d48cfda322ccd7679a018d2f7e6bf40b5d4c412dcac0fe3ea42e94decb05d5ada4765e323646c1eae6d30f1ade97ae30ded07355279a75a
DIST gnus-2.07-pkg.tar.gz 3615424 BLAKE2B 22abfb79f6884b9f03cee2786767caa1281e849398454e5796a4359d700439a0490c36b1b1638ff49db775692bfda051da55d1967b876c230fd162e0f513897c SHA512 f6a7fa1c3a6d19bbc3b41883b5004da5047be1379e102e4ac6fbbf3fbe057159d571d2b07f733031af229a8a7a01398d9261dc850df11c97b8501d6e6a6aaccf

@ -1,30 +0,0 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
SLOT="0"
DESCRIPTION="The Gnus Newsreader and Mailreader"
XEMACS_PKG_CAT="standard"
XEMACS_EXPERIMENTAL="true"
RDEPEND="app-xemacs/mail-lib
app-xemacs/xemacs-base
app-xemacs/xemacs-eterm
app-xemacs/sh-script
app-xemacs/net-utils
app-xemacs/os-utils
app-xemacs/dired
app-xemacs/mh-e
app-xemacs/sieve
app-xemacs/ps-print
app-xemacs/w3
app-xemacs/pgg
app-xemacs/mailcrypt
app-xemacs/ecrypto
app-xemacs/sasl
"
KEYWORDS="~alpha amd64 ppc ppc64 ~riscv sparc x86"
inherit xemacs-packages

@ -1,2 +1 @@
DIST hyperbole-1.22-pkg.tar.gz 555128 BLAKE2B 1774c3ebf35ed0806308bbb8138e9ee45ad8b0efece0d718ab1226429f6dab34f7e4582178bdd1403b47f965b5272950131238b443f645dd22fea7ca4c3ddfd6 SHA512 726a1fa769df822e077d649d7d24664b1293d7402afde832616d5fe9d1bc5cbb2db205cf78844559cf189ddbfba5c05140df300a9a2d7c1f95994c5cf476cae6
DIST hyperbole-1.23-pkg.tar.gz 554088 BLAKE2B a8152b2d90fd87d4c45ae86476884f24e58bdefc5771ecf0500850a94a8f5754118a9b61d95bc9f0deada149ee0abebcfc8b2ab5cb6a4e941e83e1385f50e85b SHA512 1736dfebe5d81f8faaaccfe9c95d05a646f3a2621c0b1e83e5c183c425dcec846adb5aeeb968525cb0534cace5abdef6176ea74629122a46715ebb79927c1cbb

@ -1,26 +0,0 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
SLOT="0"
DESCRIPTION="Hyperbole: The Everyday Info Manager"
XEMACS_PKG_CAT="standard"
RDEPEND="app-xemacs/xemacs-base
app-xemacs/mail-lib
app-xemacs/calendar
app-xemacs/vm
app-xemacs/text-modes
app-xemacs/gnus
app-xemacs/mh-e
app-xemacs/rmail
app-xemacs/apel
app-xemacs/tm
app-xemacs/sh-script
app-xemacs/net-utils
app-xemacs/ecrypto
"
KEYWORDS="~alpha amd64 ppc ppc64 ~riscv sparc x86"
inherit xemacs-packages

@ -1,2 +1 @@
DIST ilisp-1.38-pkg.tar.gz 347693 BLAKE2B 41e83efd134dd013aed6da858db1df6276483f613e920127db9fd289ef3bb27e7d59a2e99ce39e4a6e57f9a76f12e178daa5787f133e2cd3de9a592444578d80 SHA512 157cdaf3a4bfec9602c8a63cf573a40d50d5d88d5c620e1f23e41ef7c272bbeaaf4937361ab412a4e79ad9d60fe0a2d8c99362d086e4ad7b60cf0c122f9b82e0
DIST ilisp-1.39-pkg.tar.gz 335695 BLAKE2B a312ee0cb226e26912e2fab4042c4cdd984fd361ab2a1bbd414906ce106b9b41031bd93432b533b8acb55ba2b4d18a78d8f2078dbe0cb1b3254ddc62e66e1134 SHA512 eebce805ea2b2900fad229458a979f1cc173c37bc9534dc819e5204c1956f469a4b0a085ed687f4bab2c4ef196bd8a8363d1be0ebd3529b8a325cca5879750b5

@ -1,18 +0,0 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
SLOT="0"
DESCRIPTION="Front-end for Inferior Lisp"
XEMACS_PKG_CAT="standard"
RDEPEND="app-xemacs/xemacs-base
app-xemacs/mail-lib
app-xemacs/fsf-compat
app-xemacs/xemacs-eterm
app-xemacs/sh-script
"
KEYWORDS="~alpha amd64 ppc ppc64 ~riscv sparc x86"
inherit xemacs-packages

@ -1,2 +1 @@
DIST psgml-dtds-1.05-pkg.tar.gz 367368 BLAKE2B fe845e58c281909e43c2c7f9372f6b55da4133835df08dddd7f91881a48e73f4afd329ef02a445206c41466b5368c5fa8571a1e3d95a799ce6902245c12731e7 SHA512 700f1db7dff467987ddd9dabca48479f231c81486ea72129db5bf24f0583c0ae197fcf0477c7092e89c0edd7a0465f4e7c736bb95647a254d56dad9aa0935eb0
DIST psgml-dtds-1.06-pkg.tar.gz 317773 BLAKE2B d8f1b28e734e34f1f1b05dfbf9164ea3d8bcb7c8aa2837a2c73bbcbd075340a872f69bb61b7720793ee40078fd45398f42c7056ea43c7e2428eff2b6538e65b7 SHA512 90dece611a228ff3705e7d61415e821781fd42d9750cc52db6a4ed7b0e5c55a858101df0efdbdb5d2b4818d18e0f0609bd43abb556a2ccb933a07298c71f0786

@ -1,20 +0,0 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
SLOT="0"
DESCRIPTION="Deprecated collection of DTDs for psgml"
XEMACS_PKG_CAT="standard"
RDEPEND="app-xemacs/xemacs-base
app-xemacs/psgml
app-xemacs/edit-utils
app-xemacs/mail-lib
app-xemacs/fsf-compat
app-xemacs/xemacs-eterm
app-xemacs/sh-script
"
KEYWORDS="~alpha amd64 ppc ppc64 ~riscv sparc x86"
inherit xemacs-packages

@ -1,2 +1 @@
DIST riece-1.26-pkg.tar.gz 221484 BLAKE2B ec568695ba9951212db742e2c25be26b7af44d0b11d000dd849e9b40abf63c47a44c1afeae6f9964f5080758261cbcc32b36be5c8efdfece7931ada1c0ca0fc3 SHA512 0e15ae4f941f25878c0875b31cfad9ac9221c82eb8c893101512ea0395bc177538602e8b475610f7738f81fb83ebdb9887a7a7caf1cb44943b499bef8df7b66a
DIST riece-1.27-pkg.tar.gz 222535 BLAKE2B feabbb9eb65399288052ad380cd34217eab6ab8edb869b7dfea03d731fa559b4d524a525e6e64b8abe48d7d47c0804d7ece19585071266501462ca0f77004382 SHA512 5cff3d02df0c9779584522b110e4e6a50251af0696bd2806e09a127e0dad9641d98d23add98b26e90f71f82b23888ef5a6e8e84389cbe6951b96907f6bfd073e

@ -1,16 +0,0 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
SLOT="0"
DESCRIPTION="IRC client for Emacs"
XEMACS_PKG_CAT="standard"
RDEPEND="app-xemacs/xemacs-base
app-xemacs/mail-lib
app-xemacs/bbdb
"
KEYWORDS="~alpha amd64 ppc ppc64 ~riscv sparc x86"
inherit xemacs-packages

@ -1,2 +1 @@
DIST tramp-1.57-pkg.tar.gz 399264 BLAKE2B c7df03fd2cd201f5684743136ed092683b39b1a7cf0f24df998f42440e781ad4d7216f0d32aad9afae5333c94fdbcd7ce42c5e111be429494beff263c3e2538d SHA512 1e648bbbe7decdd57d63b55c3d6b6dba78bb9303d6d56e32ef36957ef377489afe94e0b40ec938f5beeff19d1517e0798d3af6729af7a97f9a83176fef7d5560
DIST tramp-1.58-pkg.tar.gz 399622 BLAKE2B cf307079b5c0d38e6c9c4f7b003df3e793369c431c837e597842f7f3c020a8682f13e6cfec3619f614a30d456ca5d93789ea3cf38d8bc47edb1099cfcbf1680d SHA512 7dafae85389b7a5ad7f5943dbd0343281956407aedc636e7bdffb544d4d0322fda0abb7b9990765f78a2eff5c789efe2f253cad2d1dfc64c2f9e9e41decd9b44

@ -1,22 +0,0 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
SLOT="0"
DESCRIPTION="Remote shell-based file editing"
XEMACS_PKG_CAT="standard"
RDEPEND="app-xemacs/xemacs-base
app-xemacs/vc
app-xemacs/efs
app-xemacs/dired
app-xemacs/mail-lib
app-xemacs/gnus
app-xemacs/ediff
app-xemacs/sh-script
app-xemacs/edebug
"
KEYWORDS="~alpha amd64 ppc ppc64 ~riscv sparc x86"
inherit xemacs-packages

@ -1,2 +1 @@
DIST vm-8.11-pkg.tar.gz 956105 BLAKE2B 9ad1ade5dd6542217bc9a31eb737166836e0e8325ecf44b43e6c2f86aa95db60ed15a5688cd3a5f0c010b65726547542c63c4a498dcc65f49e1f56d901de98c0 SHA512 cf687bc55723d8e57374264346399db552d4da73f24dc5a1a227f726b5f7c27a38a8ce1344fd97b22ae37729aacb3fcc18e22df14863004fd0472eadb3efa1fa
DIST vm-8.12-pkg.tar.gz 932007 BLAKE2B a3a8e491d10110757ea92de57d89f36c3b346649b26f9cc5fd8c7ef5d2a467b55fc178f047ee938b441907da865f600eb8892161e5c87642f14cc4fa059f405e SHA512 92a677ff1ba82bf6b98ad72a486451c059b3f3f00211bbe8d91ce8521b8b75842a15b7e96023c8145a3b747d064c9edda3323f7a6b37324085c1682c2708a8c7

@ -1,25 +0,0 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
SLOT="0"
DESCRIPTION="An Emacs mailer"
XEMACS_PKG_CAT="standard"
RDEPEND="app-xemacs/xemacs-base
app-xemacs/mail-lib
app-xemacs/gnus
app-xemacs/pgg
app-xemacs/ecrypto
app-xemacs/xemacs-eterm
app-xemacs/sh-script
app-xemacs/net-utils
app-xemacs/ps-print
app-xemacs/os-utils
app-xemacs/bbdb
app-xemacs/fsf-compat
"
KEYWORDS="~alpha amd64 ppc ppc64 ~riscv sparc x86"
inherit xemacs-packages

Binary file not shown.

@ -1,2 +1 @@
DIST ispc-1.19.0.tar.gz 19577782 BLAKE2B 5ad6eeeeb0bb27f2a27267a26a729693bd16250ae5e8740728290fe6ad85c7ecd4da40f316f2ca6b1447ff3a13f6949db4ed2af6ebf2c6ce6ba43620dfb1943d SHA512 140f16bc0f9e0a94853b50a5433be9196ee09b6c70a1840d400d0d201143da8cb2b1b92a857acf5856ed3410bfffd17678eb1029996f9007fe947f5ac78bf1bb
DIST ispc-1.22.0.gh.tar.gz 19618494 BLAKE2B 0dae95d792e4d629b38a9775c2c600131374c69dfa086d6a67100e40e5005ef054b9a651f418e0452a19ee4e64ffd830bfaa787b14e706473e8fab1d2380f0fd SHA512 4436ea37003b4cbfefcbf4c18212d0e98536243ae8f01053817d579e04205a4dcd4ab7b2b282fec99fc617009fdbea340b348cf4a2134240d2fcfc6bcaf6b60c

@ -1,16 +0,0 @@
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -598,11 +598,8 @@ else()
target_link_libraries(${PROJECT_NAME} pthread tinfo.a curses.a)
else()
find_package(Curses REQUIRED)
- if (CURSES_EXTRA_LIBRARY)
- # this contains the tinfo library, if found
- target_link_libraries(${PROJECT_NAME} ${CURSES_EXTRA_LIBRARY})
- endif()
- target_link_libraries(${PROJECT_NAME} pthread ${CURSES_CURSES_LIBRARY})
+ set(CURSES_NEED_NCURSES ON)
+ target_link_libraries(${PROJECT_NAME} pthread ${CURSES_LIBRARIES})
endif()
endif()

@ -1,27 +0,0 @@
https://bugs.gentoo.org/895572
https://github.com/ispc/ispc/commit/ffc75e464ff2b8fce7dbf74f1846ebd0852bc6f9
From ffc75e464ff2b8fce7dbf74f1846ebd0852bc6f9 Mon Sep 17 00:00:00 2001
From: Luya Tshimbalanga <luya@fedoraproject.org>
Date: Tue, 28 Feb 2023 17:20:21 -0800
Subject: [PATCH] Fix build with GCC 13 and possibly Clang 15
This fix add missing <cstdint> include to handle "uint32_t".
--- a/src/target_registry.h
+++ b/src/target_registry.h
@@ -1,5 +1,5 @@
/*
- Copyright (c) 2019-2021, Intel Corporation
+ Copyright (c) 2019-2023, Intel Corporation
All rights reserved.
Redistribution and use in source and binary forms, with or without
@@ -40,6 +40,7 @@
#include "bitcode_lib.h"
#include <bitset>
+#include <cstdint>
#include <map>
#include <vector>

@ -1,79 +0,0 @@
# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
PYTHON_COMPAT=( python3_{9..11} )
LLVM_MAX_SLOT=15
inherit cmake python-any-r1 llvm
DESCRIPTION="Intel SPMD Program Compiler"
HOMEPAGE="https://ispc.github.io/"
if [[ ${PV} == 9999 ]]; then
inherit git-r3
EGIT_REPO_URI="https://github.com/ispc/ispc.git"
else
SRC_URI="https://github.com/${PN}/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
KEYWORDS="amd64 ~arm ~arm64 ~ppc64 ~x86"
fi
LICENSE="BSD BSD-2 UoI-NCSA"
SLOT="0"
IUSE="examples test"
RESTRICT="!test? ( test )"
RDEPEND="<sys-devel/clang-$((${LLVM_MAX_SLOT} + 1)):="
DEPEND="${RDEPEND}"
BDEPEND="
app-alternatives/yacc
app-alternatives/lex
${PYTHON_DEPS}
"
PATCHES=(
"${FILESDIR}"/${PN}-1.19.0-curses-cmake.patch
"${FILESDIR}"/${P}-gcc13.patch
)
pkg_setup() {
llvm_pkg_setup
python-any-r1_pkg_setup
}
src_prepare() {
if use amd64; then
# On amd64 systems, build system enables x86/i686 build too.
# This ebuild doesn't even have multilib support, nor need it.
# https://bugs.gentoo.org/730062
ewarn "Removing auto-x86 build on amd64"
sed -i -e 's:set(target_arch "i686"):return():' cmake/GenerateBuiltins.cmake || die
fi
cmake_src_prepare
}
src_configure() {
local mycmakeargs=(
-DARM_ENABLED=$(usex arm)
-DCMAKE_SKIP_RPATH=ON
-DISPC_INCLUDE_EXAMPLES=OFF
-DISPC_INCLUDE_TESTS=$(usex test)
)
cmake_src_configure
}
src_test() {
# Inject path to prevent using system ispc
PATH="${BUILD_DIR}/bin:${PATH}" ${EPYTHON} ./run_tests.py || die "Testing failed under ${EPYTHON}"
}
src_install() {
dobin "${BUILD_DIR}"/bin/ispc
einstalldocs
if use examples; then
docompress -x /usr/share/doc/${PF}/examples
dodoc -r examples
fi
}

@ -20,7 +20,7 @@ SRC_URI="
LICENSE="BSD BSD-2 UoI-NCSA"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
KEYWORDS="amd64 ~arm ~arm64 ~ppc64 ~x86"
IUSE="examples gpu openmp test"
RESTRICT="!test? ( test )"

@ -1,4 +1,4 @@
DIST php-8.1.20.tar.xz 11793228 BLAKE2B ecdaf43278b69e039e5440b441a89d02ea53e8246515a89f430d7affbaefa3e1637a6830f91dc9062961719ba5bf7c56993f3b47db96b56c14111f77c74a3096 SHA512 d93767c6ff4d305c209e1a0fcb17f19b1d417fa872b002413ebe7883e93900c210e8f122410ac54da373b9d10dd2f522ea2bafc9b66214fb466314d64907a558
DIST php-8.1.26.tar.xz 11809448 BLAKE2B e1d50f1de572580a207586b3c3b57081f7b9f1b680ffe8f9e82c88c9285af117dd7e9e2576fcb13119176cb9cd02b39481b6f40e9a1df81aa90b8c4d3e59e4b1 SHA512 5bc40077e57c0fccdf17810d688baea416f22ac248bb01b73d2e2590fc4cfabc7001c1c3833281a60870c74178f7b06cbc85474eba695aabf969ad0081a98417
DIST php-8.2.13.tar.xz 12069092 BLAKE2B 24da2de8cb00bb2aac485360a14f75d6ce3df1bae78b4bf46e013888aa7f1e9d9e077ca40462fe36c59e19a7c45db05cbb0a64b140c07e4621baa99520a2865b SHA512 8031e33d148c5acbfbb3ed00d7a266813c8919db86ba260ba65e1837d6db8d0bd66d8ddef66884466dd3fe51ece7882b03f8d8db6ff4383f80a68b7beafc03af
DIST php-8.3.0.tar.xz 12431612 BLAKE2B c6c01b28edea15f05e8894bf69a9f4ea3ea6fb0a2bd70d9417ce9473d57636e08e19f62cac1dfee66d153e5aee4f1b99035ccc14bba1e41712971321deee264f SHA512 8758bb0789787dda04f3d4a175f4d4a0bffadc8c3d272fefa000d6fd7b0c0a7096347c829c1ddfb3b60cf6300803d68ba6d8379f2a343e02d935ba77d01c5cf1
DIST php-8.1.27.tar.xz 11915228 BLAKE2B 83f4f3c25435b26dc526dc1fd7aff44cd03157349f9bb6454e216525a16c2bbc3bfac47cce6b5ea8bfdfcf3c7f27e342fc602ca7d2491fe89db06ea93f686f0e SHA512 07fb2b8e10e2487635e26bfd8a27949a26b85f76bc3984ad8599224bb7a7f9498d84299335ae5a0bba16599275e9747ab141f73f4f2076ddf49ebec8e76fd0ed
DIST php-8.2.15.tar.xz 12075384 BLAKE2B cef15868968538e232093bd66d862a88f0960325f2274eaf53a3d114d01787c58844aa3bce8bc09a723acd95801e1935a60e79fc189317e7f1ba19196dbfcdc4 SHA512 56c94bcafe07cf4bf5eb5fc6c67fcf16654c44a262ffb18188fc3ffac5e9bb11d39093bfb26c26bc8d2dec7e530d1a175180909262c9b5c30130cf5a4a293166
DIST php-8.3.2.tar.xz 12440200 BLAKE2B 90ab2fe220d99cc1da47162e04c768dc35ed4044ea9154f67bbc9124372859b85a33270bc38d41e9ab28df4b0defaf0e78cffe8eb8bd6fdfbec296a31ea4beab SHA512 acf9013d35ae639558fd4816d12dcae03f8af7944c2639f33cd33517503c6170d30101da6c72ebdaf5542bcaf858a54a22ecc8f86822a128f52938bd6ea9606c

@ -20,7 +20,7 @@ LICENSE="PHP-3.01
unicode? ( BSD-2 LGPL-2.1 )"
SLOT="$(ver_cut 1-2)"
KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~loong ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos"
# We can build the following SAPIs in the given order
SAPIS="embed cli cgi fpm apache2 phpdbg"
@ -245,6 +245,9 @@ src_configure() {
PHP_DESTDIR="${EPREFIX}/usr/$(get_libdir)/php${SLOT}"
# https://bugs.gentoo.org/866683, https://bugs.gentoo.org/913527
filter-lto
# The php-fpm config file wants localstatedir to be ${EPREFIX}/var
# and not the Gentoo default ${EPREFIX}/var/lib. See bug 572002.
local our_conf=(
@ -259,6 +262,10 @@ src_configure() {
$(use_enable threads zts)
)
# The slotted man/info pages will be missed by the default list of
# docompress paths.
docompress "${PHP_DESTDIR}/man" "${PHP_DESTDIR}/info"
our_conf+=(
$(use_with apparmor fpm-apparmor)
$(use_with argon2 password-argon2 "${EPREFIX}/usr")

@ -339,6 +339,10 @@ src_configure() {
$(use_enable threads zts)
)
# The slotted man/info pages will be missed by the default list of
# docompress paths.
docompress "${PHP_DESTDIR}/man" "${PHP_DESTDIR}/info"
our_conf+=(
$(use_with apparmor fpm-apparmor)
$(use_with argon2 password-argon2 "${EPREFIX}/usr")

@ -262,6 +262,13 @@ src_prepare() {
# https://github.com/php/php-src/issues/12801
rm ext/pcre/tests/gh11374.phpt || die
# A new test failure appearing in 8.3.2, mentioned on the PR
# where it was likely introduced:
#
# https://github.com/php/php-src/pull/13017
#
rm ext/dom/tests/DOMNode_isEqualNode.phpt || die
}
src_configure() {
@ -293,6 +300,10 @@ src_configure() {
$(use_enable threads zts)
)
# The slotted man/info pages will be missed by the default list of
# docompress paths.
docompress "${PHP_DESTDIR}/man" "${PHP_DESTDIR}/info"
our_conf+=(
$(use_with apparmor fpm-apparmor)
$(use_with argon2 password-argon2 "${EPREFIX}/usr")

Binary file not shown.

@ -2,3 +2,4 @@ DIST c-blosc2-2.10.5.gh.tar.gz 3144174 BLAKE2B a680def405f2383636185ab1b71a42e04
DIST c-blosc2-2.11.2.gh.tar.gz 3144952 BLAKE2B 312a6778a75badf687ebf0cbd8a7a4887ea183c4ed189f5d58007baf81154fb8de5269ec1066c5d1f75bd8855404915338f012e348f9aa26f10ada7823f68b4f SHA512 667fc69fd99cc792bc3439246b9e89b823e9c7e0fc497775c1aaa1d12c6368582dac2db93770a8cd732f29c1e93b082e108b641f221b3dae614e9b8a644718b0
DIST c-blosc2-2.11.3.gh.tar.gz 3145288 BLAKE2B 140ca9693f2a779e37d324c6a631cde915b7bd7e16c5d48c779872dbc2a688773c22145bd224b8a7ac8e355b2639d08723ff1e4dc59cd57f2f4da89eea2d2c7c SHA512 51652056e646dd29496d8e7a4c3fc1c84af5f2a389b9057d0189d45fd298d64a581bf9f92f688397ff941dc18e03123cf7cd190fea91e3c127c36ad1d775bf79
DIST c-blosc2-2.12.0.gh.tar.gz 3148244 BLAKE2B 1c686994cad5df2e8e311f87df922a453ad4b111bd55bc19b9e988d93228c309835fb53ba9111213cf6e0560b172765656a1cf4c46aa1c5d709a2a92401d9072 SHA512 dafd1e08b9d556729abf8e859324c1b4724f43c5bb5829e11a8bf9653216b3afa05436d012a1cc8ca70017e158bee38c4f4aa3d86ebf18d6d7a2712e6bb26f79
DIST c-blosc2-2.13.0.gh.tar.gz 3150698 BLAKE2B 3020823fad873f13c2e38f21a20c0a40c558a28dd3e2bab86fe4ccdda946b5f2ab8a160cc619f1bca0bf7901515ebaa3a2600fad0f1387c8055fc1042828b3a5 SHA512 83280ea4aedea38167729bfb52797378a94ecf0733c2552283f07aa1fd732e2f565dce3a227e19e10acd855b9690987b90f9dc8a5f6589d208e0c3940b45ecc4

@ -0,0 +1,63 @@
# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
inherit cmake
DESCRIPTION="Blocking, shuffling and lossless compression library"
HOMEPAGE="
https://www.blosc.org/c-blosc2/c-blosc2.html
https://github.com/Blosc/c-blosc2/
"
SRC_URI="
https://github.com/Blosc/c-blosc2/archive/v${PV}.tar.gz
-> ${P}.gh.tar.gz
"
LICENSE="BSD"
SLOT="0/1"
KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
IUSE="test +zlib +zstd"
REQUIRED_USE="test? ( zlib zstd )"
RESTRICT="!test? ( test )"
DEPEND="
>=app-arch/lz4-1.7.5:=
zlib? ( sys-libs/zlib:= )
zstd? ( app-arch/zstd:= )
"
RDEPEND="
${DEPEND}
"
src_configure() {
# remove bundled libs (just in case)
rm -rf internal-complibs || die
local mycmakeargs=(
-DBUILD_STATIC=OFF
-DBUILD_TESTS=$(usex test)
-DBUILD_BENCHMARKS=OFF
-DBUILD_EXAMPLES=OFF
-DBUILD_FUZZERS=OFF
-DDEACTIVATE_ZLIB=$(usex !zlib)
-DDEACTIVATE_ZSTD=$(usex !zstd)
-DPREFER_EXTERNAL_LZ4=ON
-DPREFER_EXTERNAL_ZLIB=ON
-DPREFER_EXTERNAL_ZSTD=ON
# force regular zlib, at least for the time being
-DCMAKE_DISABLE_FIND_PACKAGE_ZLIB_NG=ON
# upstream overrides CMAKE_C_FLAGS, preventing ${CFLAGS} defaults
# from applying, https://github.com/Blosc/c-blosc2/issues/433
-DCMAKE_C_FLAGS="${CFLAGS}"
)
cmake_src_configure
}
src_test() {
# Tests fail in parallel, https://github.com/Blosc/c-blosc2/issues/432
MAKEOPTS=-j1 cmake_src_test
}

@ -14,7 +14,7 @@ SRC_URI="
LICENSE="BSD ZLIB"
SLOT="0/${PV}" # currently has unstable ABI that often requires rebuilds
KEYWORDS="~amd64 ~x86"
KEYWORDS="amd64 ~x86"
IUSE="tools +vulkan"
# Need the static library to run tests + skip vulkan / GPU:

Binary file not shown.

@ -1,3 +1 @@
DIST alabaster-0.7.13.tar.gz 11454 BLAKE2B b67ab19b3cb4d86bc0f2bc94cbac7de42b6ffc089844d49daa5db40de942dd87555f9ed8ac362ea01904a9e77f8fe995250bd878b39c9a4851041cec8ef6460e SHA512 1cf740c17c669a2a48dba6f6d3b7dde6aa77c6cf1f3d84de0384852ef04f5c03e585f614880099f6466c81f959e290c19db70319caa9b1e2d93e4bf155f80a99
DIST alabaster-0.7.15.tar.gz 23711 BLAKE2B c76d3a6160004a1e95697e8d4e1ecb76d44a256300caa405a8fd37375a079bc0d30a666542b523405466f69fee7901a882785ca861142364f04261f791daba40 SHA512 de4e3de00b0ad50424db7bdc5d4f0e8827d9466f505f30f36ebfceec7c8ecdb7ed419a4c4b55ec9380b82832bcfabeb5fec80252d6ee75fad3a7517d2d68ea40
DIST alabaster-0.7.16.tar.gz 23776 BLAKE2B b04d1e209b8891150f7fc20c70f9394f27bef9f42f9e8978e5d86de6e2cfc3f5020a6136e8920e6b1fe2ee42eaf14f8046c7acf850e1f1ae97a0b5307d1efa22 SHA512 2ef9d0c631bbd8d3a527e6f6c1e9d1a5533d9fad5e018c66f29b386cc788eee831083b67bb6e86b0ba66fdd78b12ddfc4e5ac15ca01f33d4a914d166a114c393

@ -1,19 +0,0 @@
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
DISTUTILS_USE_PEP517=setuptools
PYTHON_COMPAT=( python3_{10..12} pypy3 )
inherit distutils-r1 pypi
DESCRIPTION="A configurable sidebar-enabled Sphinx theme"
HOMEPAGE="
https://github.com/bitprophet/alabaster/
https://pypi.org/project/alabaster/
"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~x64-solaris"

@ -1,19 +0,0 @@
# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
DISTUTILS_USE_PEP517=flit
PYTHON_COMPAT=( python3_{10..12} pypy3 )
inherit distutils-r1 pypi
DESCRIPTION="A configurable sidebar-enabled Sphinx theme"
HOMEPAGE="
https://github.com/sphinx-doc/alabaster/
https://pypi.org/project/alabaster/
"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-solaris"

@ -16,4 +16,4 @@ HOMEPAGE="
LICENSE="BSD"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-solaris"
KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~x64-solaris"

@ -1,2 +1,3 @@
DIST argh-0.31.0.tar.gz 65743 BLAKE2B c577273bf361b0bede939b7bcadf9c9ce6dd24d473b834ebd8d2bdc41d163e9cb6f2b79252ab810ac5b6f1f2e20b312cf096b23cf6cd4cd53705fb2c30b55f7d SHA512 d4caefede2596452d3256f4c2194517994dffdb2e01643f0b96b8002d269ac0150e938bb29d0469b67bbb72669b2a82b3e66d28cfecad5230f641c60f1c879e5
DIST argh-0.31.1.tar.gz 57186 BLAKE2B a6167b6b1c18cb9ab50f476d39783e4f26aa57a25a2d503465c617b1f6adf72eb8a0ec6df3235a73dc443eaa413819b986bd290e3d093099f54abd349fe8b533 SHA512 cd4bb989e96587c1a0bdf9854164b6bc4cb35e529c19d4812741529f9ad880019ed4691fc2b02c49264dd0cc3f8a10400f7272f7ba9a1979cb5268bbbe83f3a7
DIST argh-0.31.2.tar.gz 57200 BLAKE2B e5ba440d08d8f5655d237d61ab65fef02296d28d0562945e56dfa6598deafa6cc288d88e625c4acabfa2eeda359f970679db1e7424d77e0278b65fbe15c8b499 SHA512 2e0d926cae88d6830706f631aa2220654777dcc1a4263af889064d4c805616fce368c90e871a393490b9590f82759f56b2434afeba468e7720f99d85c8b75dd1

@ -0,0 +1,28 @@
# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
DISTUTILS_USE_PEP517=flit
PYTHON_COMPAT=( python3_{10..12} pypy3 )
inherit distutils-r1 pypi
DESCRIPTION="A simple argparse wrapper"
HOMEPAGE="
https://pythonhosted.org/argh/
https://github.com/neithere/argh/
https://pypi.org/project/argh/
"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
LICENSE="LGPL-3"
BDEPEND="
test? (
dev-python/iocapture[${PYTHON_USEDEP}]
)
"
distutils_enable_tests pytest

@ -3,3 +3,4 @@ DIST boto3-1.34.18.gh.tar.gz 765458 BLAKE2B 29414e20fa034f63c899b6f2d5460d8973dd
DIST boto3-1.34.23.gh.tar.gz 766609 BLAKE2B d00b010c84c41695f02df58a51d483162af1ba770263218b6465132fdb104424ea8dd7c8d96e278c50700aa3c90d2321a21d31e9ae3b42712aff31a1a5c4b65d SHA512 4f1c0cafb3d511a23c07b97ed2b41369299d0a4819e0bf103288c7b44074c93bc55b729a2979b133a50d390660078a0bb0e251dcd1523244fdbe06cae6ef037a
DIST boto3-1.34.25.gh.tar.gz 767540 BLAKE2B 0018e04ce16529de14bca16011f7e4dfc94966986d8a1ae952ddc6a26b9639aff56385ae2631feb6a7434d81665939c19a10e6b727ccbd4d1ab4afdbe36dc9e5 SHA512 e9e8a42c868b48d2c1cb0e7d80074d0dba63f58adb69adaa8288ab702e552f09d719acf06a1d436090187474e829f9b29d651531c14c1b0461c8807284a84b11
DIST boto3-1.34.26.gh.tar.gz 767554 BLAKE2B 1dc099c1d6d1da2e704c574bc8bc70883fb2f8974faa1e8c87154e0c5a892a38a8768b6aef59710cad598a1d11ce0e03d81bb2f0c0c7e9a531b434a9ff22aa15 SHA512 3da5b2d00054c5344ec32ec20fbc1bd74b8be31616102d4b5c03367c4ffae97fc80fbec62562a8d42893df3791524d5f5b490570fe1881ac266fa3849f8ccc9a
DIST boto3-1.34.27.gh.tar.gz 768012 BLAKE2B 4a8edd2470b58b02b684def8a3e1d70950621498e557e7a4f89bfbaf798339eb5e9bb89f3653063d79ebfbf1b04e706fa7209beef8d5e110e6a9f00e022d47d3 SHA512 76eb0e341f368a391be492c9551de77165e43721a54f87493c20d4c5bb89e2318b86e83009d92366014660a41d969165dfa9cb12591b0ac60f6fbb82fff590c0

@ -0,0 +1,64 @@
# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
DISTUTILS_USE_PEP517=setuptools
PYTHON_COMPAT=( python3_{10..12} )
inherit distutils-r1
DESCRIPTION="The AWS SDK for Python"
HOMEPAGE="
https://github.com/boto/boto3/
https://pypi.org/project/boto3/
"
LICENSE="Apache-2.0"
SLOT="0"
if [[ "${PV}" == "9999" ]]; then
EGIT_REPO_URI="https://github.com/boto/boto3"
inherit git-r3
BOTOCORE_PV=${PV}
else
SRC_URI="
https://github.com/boto/boto3/archive/${PV}.tar.gz
-> ${P}.gh.tar.gz
"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
fi
RDEPEND="
>=dev-python/botocore-${PV}[${PYTHON_USEDEP}]
>=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
>=dev-python/s3transfer-0.10.0[${PYTHON_USEDEP}]
"
BDEPEND="
test? (
dev-python/mock[${PYTHON_USEDEP}]
)
"
EPYTEST_XDIST=1
distutils_enable_tests pytest
python_prepare_all() {
# don't lock versions to narrow ranges
sed -e '/botocore/ d' \
-e '/jmespath/ d' \
-e '/s3transfer/ d' \
-i setup.py || die
# do not rely on bundled deps in botocore (sic!)
find -name '*.py' -exec sed -i \
-e 's:from botocore[.]vendored import:import:' \
-e 's:from botocore[.]vendored[.]:from :' \
{} + || die
distutils-r1_python_prepare_all
}
python_test() {
local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
epytest tests/{functional,unit}
}

@ -3,3 +3,4 @@ DIST botocore-1.34.18.gh.tar.gz 12634296 BLAKE2B c3f18b042ea56c65f66b578f5b01061
DIST botocore-1.34.23.gh.tar.gz 12647072 BLAKE2B be20994714a1f31ac5272d5b7be8424e574be1059c5be311e68d1932eb6884a54f71287dc5a9c11996063e4c2ab15a342bf778a0a90620710761e63a5deaa170 SHA512 fcc1879245e8d848c8cd6283af904e0408a5bdaa3b3e14c4ae267735cb29bdde50f1da5f3232ea23053f25fc1f29a1204a08a5c820909cf8667595543b6cfdea
DIST botocore-1.34.25.gh.tar.gz 12652238 BLAKE2B 3509adf5f95387c1bc574dfed6edfbb69cd12508278101c5a5c509977eef0542ecd7748204182616095927ce6b834282f6e2e0c4018f094e9f046f0459c1d104 SHA512 5d94c9b3765399d7642ae3e1374ad5c065ee8c774557314f7535bc938dcc5db3dedb0d21a23df60140b8c1d3fc03d94502d61cd41bbc7c19953a9c6337479da4
DIST botocore-1.34.26.gh.tar.gz 12658700 BLAKE2B 614b76d37259c4a37db4e91cce8a2bb64630bdb1172c081f169d8016ff6e4db221a56d5873594fb1251782b8c3758cf00ea7bb0aeffaedc2c9a163d86c8cd708 SHA512 86707d98ec287d01152eb179747e66f3ba8563e7fc83752d1c9c782296277dbe582ce56049859044dbc270fb4499c2d07de6a55b094597625234071203bf7d4b
DIST botocore-1.34.27.gh.tar.gz 12662876 BLAKE2B 8e9dcdeb03da533960df43c3688c4cdce2604e0eefb36a54ac372e04c7f828354523a9c322ad6fc8b1b7d349bf49417041d6074a34628c64db9d5caa9e90fe29 SHA512 1bae71c8156c4e465b3343ad91675cfcf78cef66ff382a54e56a5b12bf7c4dc2d385860846b97507288dbb9fb5878dc3a52555d872edc411eedc1774e0151871

@ -0,0 +1,68 @@
# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
DISTUTILS_USE_PEP517=setuptools
PYTHON_COMPAT=( python3_{10..12} )
inherit distutils-r1
DESCRIPTION="Low-level, data-driven core of boto 3"
HOMEPAGE="
https://github.com/boto/botocore/
https://pypi.org/project/botocore/
"
LICENSE="Apache-2.0"
SLOT="0"
if [[ "${PV}" == "9999" ]]; then
EGIT_REPO_URI="https://github.com/boto/botocore"
inherit git-r3
else
SRC_URI="
https://github.com/boto/botocore/archive/${PV}.tar.gz
-> ${P}.gh.tar.gz
"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
fi
RDEPEND="
dev-python/six[${PYTHON_USEDEP}]
<dev-python/jmespath-2[${PYTHON_USEDEP}]
dev-python/python-dateutil[${PYTHON_USEDEP}]
>=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
"
BDEPEND="
test? (
dev-python/jsonschema[${PYTHON_USEDEP}]
)
"
EPYTEST_XDIST=1
distutils_enable_tests pytest
src_prepare() {
# unpin deps
sed -i -e "s:>=.*':':" setup.py || die
# unbundle deps
rm -r botocore/vendored || die
find -name '*.py' -exec sed -i \
-e 's:from botocore[.]vendored import:import:' \
-e 's:from botocore[.]vendored[.]:from :' \
{} + || die
distutils-r1_src_prepare
}
python_test() {
local EPYTEST_DESELECT=(
# rely on bundled six
tests/functional/test_six_imports.py::test_no_bare_six_imports
tests/functional/test_six_threading.py::test_six_thread_safety
)
local -x EPYTEST_DISABLE_PLUGIN_AUTOLOAD=1
epytest tests/{functional,unit}
}

@ -1,3 +1,2 @@
DIST cfn-lint-0.83.7.tar.gz 3875386 BLAKE2B 52a3a4a4a76a787b39f17e4be1e1ba2920b3579bc99a82890d9ca21ed38240bf51eee7a04d2c97b31031816410439716d5623aa55b1bd02802ba456dd9e0bc2c SHA512 28b6aaeb77cb4e5dc40234c5bdfbe9e3be4d0ea17ae4f6b68a381365f6097f51163cf5b23d1c0e98b7b9c6c53fe9d139439f84bf353c1f7d128a4d52d701c937
DIST cfn-lint-0.83.8.tar.gz 3901954 BLAKE2B 33d728ddf7ae5bcb29fdb8211decd85b72519acd60b80831aafa59d042105af45a3f07e2d6ea9838b80af68f6eb19ba84be562e4a7104c64b68737ede3497b0d SHA512 f520f5e211284197ff3b2c5287cb72384544a273e1fa1d3007e7a3ad85ef1b4bae4ed0c0db609989ea51de29630454d97ba13a8d97ccc06992a7fb0da467e0b7
DIST cfn-lint-0.84.0.tar.gz 3890781 BLAKE2B 160c8f29f2551c0885d784d725e5e7077aaf162b13f8bcbe8f04c2f6dd939bdb22166ebc3fbba6ba71b0ec68356f520ae1968a447a7a24082eb85271c684aa1b SHA512 0e783c6c2fc590ce59526da887a3bdcc2f8c55e6d5d6e11f49df82c72d387a18abbac545b861bf806e829080b7be6da00d948d32769396b6730570ab4bc23f7a

@ -1,65 +0,0 @@
# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
DISTUTILS_USE_PEP517=setuptools
PYPI_NO_NORMALIZE=1
PYTHON_COMPAT=( python3_{10..11} )
inherit distutils-r1 pypi
DESCRIPTION="CloudFormation Linter"
HOMEPAGE="
https://github.com/aws-cloudformation/cfn-lint/
https://pypi.org/project/cfn-lint/
"
LICENSE="MIT"
SLOT="0"
KEYWORDS="amd64 ~arm arm64 ~riscv x86"
RDEPEND="
>=dev-python/aws-sam-translator-1.82.0[${PYTHON_USEDEP}]
dev-python/jsonpatch[${PYTHON_USEDEP}]
>=dev-python/jschema-to-python-1.2.3[${PYTHON_USEDEP}]
<dev-python/jsonschema-5[${PYTHON_USEDEP}]
>=dev-python/jsonschema-3.0[${PYTHON_USEDEP}]
dev-python/junit-xml[${PYTHON_USEDEP}]
<dev-python/networkx-4[${PYTHON_USEDEP}]
>dev-python/pyyaml-5.4[${PYTHON_USEDEP}]
>=dev-python/requests-2.15.0[${PYTHON_USEDEP}]
>=dev-python/regex-2021.7.1[${PYTHON_USEDEP}]
>=dev-python/sarif-om-1.0.4[${PYTHON_USEDEP}]
>=dev-python/sympy-1.0.0[${PYTHON_USEDEP}]
"
distutils_enable_tests pytest
src_prepare() {
# unpin the deps
sed -e 's:~=[0-9.]*::' -i setup.py || die
distutils-r1_src_prepare
}
python_test() {
local EPYTEST_DESELECT=(
# TODO
test/unit/module/test_template.py::TestTemplate::test_build_graph
# requires git repo
test/unit/module/maintenance/test_update_documentation.py::TestUpdateDocumentation::test_update_docs
# Internet
test/unit/module/formatters/test_formatters.py::TestFormatters::test_sarif_formatter
test/unit/module/maintenance/test_update_resource_specs.py::TestUpdateResourceSpecs::test_update_resource_specs_python_3
# TODO: it looks as if AWS_DEFAULT_REGION didn't work
test/unit/module/core/test_run_cli.py::TestCli::test_bad_config
test/unit/module/core/test_run_cli.py::TestCli::test_override_parameters
test/unit/module/core/test_run_cli.py::TestCli::test_positional_template_parameters
test/unit/module/core/test_run_cli.py::TestCli::test_template_config
)
# from tox.ini
local -x AWS_DEFAULT_REGION=us-east-1
local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
epytest
}

@ -17,7 +17,7 @@ HOMEPAGE="
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
KEYWORDS="amd64 ~arm arm64 ~riscv x86"
RDEPEND="
>=dev-python/aws-sam-translator-1.82.0[${PYTHON_USEDEP}]

@ -16,7 +16,7 @@ HOMEPAGE="
LICENSE="GPL-3+"
SLOT="0"
KEYWORDS="~amd64 ~arm64 ~x86"
KEYWORDS="amd64 arm64 ~x86"
distutils_enable_tests pytest

@ -1,30 +0,0 @@
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
DISTUTILS_USE_PEP517=setuptools
PYTHON_COMPAT=( python3_{10..12} )
inherit distutils-r1 pypi
DESCRIPTION="Python color representations manipulation library"
HOMEPAGE="https://github.com/vaab/colour/"
KEYWORDS="amd64 arm64 ~x86"
LICENSE="GPL-3+"
SLOT="0"
PATCHES=( "${FILESDIR}"/${PN}-setup.patch )
distutils_enable_tests pytest
src_prepare() {
rm setup.cfg || die
distutils-r1_src_prepare
}
python_test() {
epytest --doctest-modules
}

@ -1,8 +0,0 @@
--- a/setup.py
+++ b/setup.py
@@ -60,5 +60,4 @@ if "0.1.5".startswith("%%"):
setup(
extras_require={'test': ['nose', ]},
- d2to1=True
)

@ -1,4 +1 @@
DIST coverage-7.3.2.tar.gz 764541 BLAKE2B 5301a45a1618582d6b7bc1c887fdfdc7ef612082675b271e5ab840f2adc357c6a01f59ba5571e6dba61db61c85ee66d40af46b3509dfbf5c996fcf9fd6b2a614 SHA512 94e3b0bae2f84d31448a717f105e4f03e485a47d9498e73e86eca2f040d0980e514e3d9264f5349f70ea93fc985161d89156d0faa444d28cc7a07e51db4e1a46
DIST coverage-7.3.3.tar.gz 768726 BLAKE2B 0de19dc69341ba98b0581be6c6c4844f699689d9e071e3f473a4de65f4f7d1e8bf673a18428f1d5fe23150068636c1e0b7f8e84d9a8626488aba23a998265857 SHA512 758090c46bac90096d5fd732aa447c91d0db0c0cdedbb607a57141c86882c23d42791b75e55436e580dffdd585d87e35a213e94240268c2992c1122246e4df31
DIST coverage-7.3.4.tar.gz 769564 BLAKE2B 6fb3faac8703f95632e53b4a2e3ad5544488e19cb3ea96a288cded02ac8aaf434ee8fba8c1ed3cdf89265113ae45cb7b9882202dc230dc6a416487f09317ba82 SHA512 74c371b24ff5959f9c5d100f35b09ce10c70c03f3713c29aa251c1ce4244e302c29e0cc2f54f6ff6909634a363896bfbd61abe871c062c8b78c892efbc1d2d79
DIST coverage-7.4.0.tar.gz 776507 BLAKE2B ea96db033e711c5b47ebbd585f1eec8e576908dfbecd7df6e555a5e96cdbadf546e0b2b1a5790fd66be386a068ced5a1544dff79601546fe6a4ac0e9b36a05a2 SHA512 7563ca34ed8d0dd3b9f376b20cbaeb9c952ba0dda57d9f1a33abe94ac17ed6411d0d537f039613c310957eb926e8fa102ad888c5de8bdb3f0233668bdf96d395

@ -1,82 +0,0 @@
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
DISTUTILS_EXT=1
DISTUTILS_USE_PEP517=setuptools
PYTHON_COMPAT=( python3_{10..12} pypy3 )
PYTHON_REQ_USE="threads(+),sqlite(+)"
inherit distutils-r1 pypi
DESCRIPTION="Code coverage measurement for Python"
HOMEPAGE="
https://coverage.readthedocs.io/en/latest/
https://github.com/nedbat/coveragepy/
https://pypi.org/project/coverage/
"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~x64-macos"
RDEPEND="
$(python_gen_cond_dep '
dev-python/tomli[${PYTHON_USEDEP}]
' 3.{9..10})
"
BDEPEND="
test? (
dev-python/flaky[${PYTHON_USEDEP}]
dev-python/hypothesis[${PYTHON_USEDEP}]
dev-python/pytest-xdist[${PYTHON_USEDEP}]
>=dev-python/unittest-mixins-1.4[${PYTHON_USEDEP}]
)
"
distutils_enable_tests pytest
src_prepare() {
sed -i -e '/addopts/s:-q -n auto::' pyproject.toml || die
distutils-r1_src_prepare
}
test_tracer() {
local -x COVERAGE_TEST_TRACER=${1}
einfo " Testing with the ${COVERAGE_TEST_TRACER} tracer ..."
epytest tests
}
python_test() {
local EPYTEST_DESELECT=(
# TODO: fails because of additional "Terminated" print on SIGTERM
tests/test_concurrency.py::SigtermTest::test_sigterm_threading_saves_data
)
local EPYTEST_IGNORE=(
# pip these days insists on fetching build deps from Internet
tests/test_venv.py
)
"${EPYTHON}" igor.py zip_mods || die
local -x COVERAGE_TESTING=True
# TODO: figure out why they can't be imported inside test env
local -x COVERAGE_NO_CONTRACTS=1
local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
local -x PYTEST_PLUGINS=_hypothesis_pytestplugin,flaky.flaky_pytest_plugin,xdist.plugin
local prev_opt=$(shopt -p nullglob)
shopt -s nullglob
local c_ext=( "${BUILD_DIR}/install$(python_get_sitedir)"/coverage/*.so )
${prev_opt}
if [[ -n ${c_ext} ]]; then
cp "${c_ext}" \
coverage/ || die
test_tracer c
rm coverage/*.so || die
else
test_tracer py
fi
}

@ -1,83 +0,0 @@
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
DISTUTILS_EXT=1
DISTUTILS_USE_PEP517=setuptools
PYTHON_COMPAT=( python3_{10..12} pypy3 )
PYTHON_REQ_USE="threads(+),sqlite(+)"
inherit distutils-r1 pypi
DESCRIPTION="Code coverage measurement for Python"
HOMEPAGE="
https://coverage.readthedocs.io/en/latest/
https://github.com/nedbat/coveragepy/
https://pypi.org/project/coverage/
"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
RDEPEND="
$(python_gen_cond_dep '
dev-python/tomli[${PYTHON_USEDEP}]
' 3.{9..10})
"
BDEPEND="
test? (
dev-python/flaky[${PYTHON_USEDEP}]
dev-python/hypothesis[${PYTHON_USEDEP}]
dev-python/pytest-xdist[${PYTHON_USEDEP}]
>=dev-python/unittest-mixins-1.4[${PYTHON_USEDEP}]
)
"
distutils_enable_tests pytest
src_prepare() {
sed -i -e '/addopts/s:-q -n auto::' pyproject.toml || die
distutils-r1_src_prepare
}
test_tracer() {
local -x COVERAGE_TEST_TRACER=${1}
einfo " Testing with the ${COVERAGE_TEST_TRACER} tracer ..."
epytest -p flaky -p hypothesis -p xdist tests
}
python_test() {
local EPYTEST_DESELECT=(
# TODO: fails because of additional "Terminated" print on SIGTERM
tests/test_concurrency.py::SigtermTest::test_sigterm_threading_saves_data
# broken because of pytest plugins explicity loaded
tests/test_debug.py::ShortStackTest::test_short_stack{,_skip}
)
local EPYTEST_IGNORE=(
# pip these days insists on fetching build deps from Internet
tests/test_venv.py
)
"${EPYTHON}" igor.py zip_mods || die
local -x COVERAGE_TESTING=True
# TODO: figure out why they can't be imported inside test env
local -x COVERAGE_NO_CONTRACTS=1
local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
local prev_opt=$(shopt -p nullglob)
shopt -s nullglob
local c_ext=( "${BUILD_DIR}/install$(python_get_sitedir)"/coverage/*.so )
${prev_opt}
if [[ -n ${c_ext} ]]; then
cp "${c_ext}" \
coverage/ || die
test_tracer c
rm coverage/*.so || die
else
test_tracer py
fi
}

@ -1,83 +0,0 @@
# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
DISTUTILS_EXT=1
DISTUTILS_USE_PEP517=setuptools
PYTHON_COMPAT=( python3_{10..12} pypy3 )
PYTHON_REQ_USE="threads(+),sqlite(+)"
inherit distutils-r1 pypi
DESCRIPTION="Code coverage measurement for Python"
HOMEPAGE="
https://coverage.readthedocs.io/en/latest/
https://github.com/nedbat/coveragepy/
https://pypi.org/project/coverage/
"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ppc64 ~riscv ~s390 sparc x86 ~x64-macos"
RDEPEND="
$(python_gen_cond_dep '
dev-python/tomli[${PYTHON_USEDEP}]
' 3.{9..10})
"
BDEPEND="
test? (
dev-python/flaky[${PYTHON_USEDEP}]
dev-python/hypothesis[${PYTHON_USEDEP}]
dev-python/pytest-xdist[${PYTHON_USEDEP}]
>=dev-python/unittest-mixins-1.4[${PYTHON_USEDEP}]
)
"
distutils_enable_tests pytest
src_prepare() {
sed -i -e '/addopts/s:-q -n auto::' pyproject.toml || die
distutils-r1_src_prepare
}
test_tracer() {
local -x COVERAGE_TEST_TRACER=${1}
einfo " Testing with the ${COVERAGE_TEST_TRACER} tracer ..."
epytest -p flaky -p hypothesis -p xdist tests
}
python_test() {
local EPYTEST_DESELECT=(
# TODO: fails because of additional "Terminated" print on SIGTERM
tests/test_concurrency.py::SigtermTest::test_sigterm_threading_saves_data
# broken because of pytest plugins explicity loaded
tests/test_debug.py::ShortStackTest::test_short_stack{,_skip}
)
local EPYTEST_IGNORE=(
# pip these days insists on fetching build deps from Internet
tests/test_venv.py
)
"${EPYTHON}" igor.py zip_mods || die
local -x COVERAGE_TESTING=True
# TODO: figure out why they can't be imported inside test env
local -x COVERAGE_NO_CONTRACTS=1
local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
local prev_opt=$(shopt -p nullglob)
shopt -s nullglob
local c_ext=( "${BUILD_DIR}/install$(python_get_sitedir)"/coverage/*.so )
${prev_opt}
if [[ -n ${c_ext} ]]; then
cp "${c_ext}" \
coverage/ || die
test_tracer c
rm coverage/*.so || die
else
test_tracer py
fi
}

@ -19,7 +19,7 @@ HOMEPAGE="
LICENSE="BSD"
SLOT="0"
KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~x64-macos"
KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~x64-macos"
RDEPEND="
$(python_gen_cond_dep '

@ -15,8 +15,10 @@ DIST cc-1.0.83.crate 68343 BLAKE2B 33245b33fa845ea2f36da36e3830ec835f937e4319865
DIST cfg-if-1.0.0.crate 7934 BLAKE2B e99a5589c11d79d77a4537b34ce0a45d37b981c123b79b807cea836c89fc3926d693458893baca2882448d3d44e3f64e06141f6d916b748daa10b8cc1ae16d1b SHA512 0fb16a8882fd30e86b62c5143b1cb18ab564e84e75bd1f28fd12f24ffdc4a42e0d2e012a99abb606c12efe3c11061ff5bf8e24ab053e550ae083f7d90f6576ff
DIST cryptography-41.0.7.tar.gz 630892 BLAKE2B a2786c999b8a3fa9e413a330eeaf1076574b8f49a91a91887a7976e7260aa4bd6c25354ff4656917c9e729cd12fc457ff708d904449d03b665965f775f8b7aaf SHA512 c678da6dfc02d84ca9a26bc42844da8ba356f5dc839fefa0b63636c99107b18415b5970d721b72075fc0f8aefc3785dbf143327ceb7f4ebd075df41291b63219
DIST cryptography-42.0.0.tar.gz 671860 BLAKE2B 40452225cac2937603000a496fd95ea0734a6d055c44a4d385aff22cf943133e5a06c1efd4e401f4b43b56eb4c87af33b8b99d1aebd84e6768217887fd12a3bb SHA512 96a9eab6b23ed8a0789742e824429646ac6a038047dcc3ec092955b1308843d1686b012f7e12c64d8c40308049be98bbdb1af233e83c60b388a30035e50bb58d
DIST cryptography-42.0.1.tar.gz 672364 BLAKE2B 5e83c2dff17dc1ae03ca339766c91b28205694d73c9f2a08a169c4e41d63262a7f0180e0f4b92afd2a59d3226576b761c901341bdd4f2568111cfd9e6ffd3063 SHA512 978f21bb14dd15ab559af4c85cbc5c98b2ad047bedc980307d7fc91816ee50ace4b1259dac083eb03f03ce12db1eaae171405e33348ac3affd58c140b986dfbd
DIST cryptography_vectors-41.0.7.tar.gz 35288159 BLAKE2B ef2e82f42bb4964a256e875bf3b7bcca549df11839893ac3b8d909d05308360bb0696774fd89bd8951bf4f13aaf752a7700bfde78e68cce450ffaf5117182958 SHA512 05a96cc8d1e3653e62c6822f202f6c25157b2a11bcc42fa8a9462ac1844c295147ed5f49315f0b297c689e244cf13d02948ff5e57c21a487f0210f87518c913f
DIST cryptography_vectors-42.0.0.tar.gz 35277565 BLAKE2B a770b13244633dc155f21c9179440d4f5d393c71801e44e374e38c183055b842f127090160fab6ba44748e68b2004c0d128980b89b1ae760e6148ba4784fecce SHA512 2d7a633ddf6b81bc3098a54dc61b801e7ea8117424d02db2b9baeb2a2a6da734e07b64f24f924fbf1ae45d65ce2f34db8cc76b1bfaed9dab00a69ef0332245e1
DIST cryptography_vectors-42.0.1.tar.gz 35277715 BLAKE2B a1996ddd91eb5986c6ea72a3a163506ac60522eb459ce36b90ade44045d662ecbc6e2c2875a0437371885968524c43829e02bcbc094e6a1cb5ade5b743114cb4 SHA512 b7d4503f182e29d1d33bcd5ad2f4327a8deb3e11c640c843eab3b870780b7285323fa044f98dd052101e4926b2bbbbecdf5de00858df8fbedc25e7c69912b335
DIST foreign-types-0.3.2.crate 7504 BLAKE2B 520818b702d990d296ecd31a8646850202509ccfa18edd0e1b260289619a6c351e758f317ec0824bd76eccb209b6f087057c25f1bd01a47897715013dd834867 SHA512 bf27b8243ed482c202d120383374f19ff09422535e24b9c1aebccc66529bf300ca17b8bbc76d67f98ac092e614497afe3add9dc68aa69c93074df05762f91232
DIST foreign-types-shared-0.1.1.crate 5672 BLAKE2B d2e42e04b6657e7a69fe0bd20c672176629c743e49a55fd007bb30e289710b70045d445ae9cae0eeaa747ee708c90e8abd9b5fc39bad8ec0666befe1b696d4f1 SHA512 bafdb2143e136fb0818e2ffd90b5c862b7181647d6568947d4e4531012bbf7a57b597221ec7056c1b562dfc0c3b5dead26d1a4111ebc15e7863737a873518a4a
DIST heck-0.4.1.crate 11567 BLAKE2B 520aeea740cfa30b0cca12f73594ffa655f32959673b1c9caaca1ea0162e455546ae3033881394c0ba0516bcd5c9a997da02162e1585522d665813b9096eabd9 SHA512 8c80e959d2f10a2893f9a71994720f90747742bb5b61fc0a539eed3ea5679b140c48fd7f7690d7122cd6af5f7f20a19d412e3569fe741c6d31f6b2ce1e0b80e8

@ -0,0 +1,146 @@
# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
CARGO_OPTIONAL=yes
DISTUTILS_EXT=1
DISTUTILS_USE_PEP517=setuptools
PYTHON_COMPAT=( python3_{10..12} pypy3 )
PYTHON_REQ_USE="threads(+)"
CRATES="
asn1@0.15.5
asn1_derive@0.15.5
autocfg@1.1.0
base64@0.21.7
bitflags@1.3.2
bitflags@2.4.2
cc@1.0.83
cfg-if@1.0.0
foreign-types-shared@0.1.1
foreign-types@0.3.2
heck@0.4.1
indoc@2.0.4
libc@0.2.152
lock_api@0.4.11
memoffset@0.9.0
once_cell@1.19.0
openssl-macros@0.1.1
openssl-sys@0.9.99
openssl@0.10.63
parking_lot@0.12.1
parking_lot_core@0.9.9
pem@3.0.3
pkg-config@0.3.29
proc-macro2@1.0.78
pyo3-build-config@0.20.2
pyo3-ffi@0.20.2
pyo3-macros-backend@0.20.2
pyo3-macros@0.20.2
pyo3@0.20.2
quote@1.0.35
redox_syscall@0.4.1
scopeguard@1.2.0
self_cell@1.0.3
smallvec@1.13.1
syn@2.0.48
target-lexicon@0.12.13
unicode-ident@1.0.12
unindent@0.2.3
vcpkg@0.2.15
windows-targets@0.48.5
windows_aarch64_gnullvm@0.48.5
windows_aarch64_msvc@0.48.5
windows_i686_gnu@0.48.5
windows_i686_msvc@0.48.5
windows_x86_64_gnu@0.48.5
windows_x86_64_gnullvm@0.48.5
windows_x86_64_msvc@0.48.5
"
inherit cargo distutils-r1 flag-o-matic multiprocessing pypi
VEC_P=cryptography_vectors-$(ver_cut 1-3)
DESCRIPTION="Library providing cryptographic recipes and primitives"
HOMEPAGE="
https://github.com/pyca/cryptography/
https://pypi.org/project/cryptography/
"
SRC_URI+="
${CARGO_CRATE_URIS}
test? (
$(pypi_sdist_url cryptography_vectors "$(ver_cut 1-3)")
)
"
LICENSE="|| ( Apache-2.0 BSD ) PSF-2"
# Dependent crate licenses
LICENSE+="
Apache-2.0 Apache-2.0-with-LLVM-exceptions BSD MIT Unicode-DFS-2016
"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
RDEPEND="
>=dev-libs/openssl-1.0.2o-r6:0=
$(python_gen_cond_dep '
>=dev-python/cffi-1.8:=[${PYTHON_USEDEP}]
' 'python*')
"
DEPEND="
${RDEPEND}
"
# XXX: Drop explicit >=virtual/rust-1.56.0 dep once that's the minimum in cargo.eclass
# and replace it with ${RUST_DEPEND}
BDEPEND="
>=dev-python/setuptools-rust-1.7.0[${PYTHON_USEDEP}]
>=virtual/rust-1.56.0
test? (
dev-python/certifi[${PYTHON_USEDEP}]
>=dev-python/hypothesis-1.11.4[${PYTHON_USEDEP}]
dev-python/iso8601[${PYTHON_USEDEP}]
dev-python/pretend[${PYTHON_USEDEP}]
dev-python/pyasn1-modules[${PYTHON_USEDEP}]
dev-python/pytest-subtests[${PYTHON_USEDEP}]
dev-python/pytest-xdist[${PYTHON_USEDEP}]
dev-python/pytz[${PYTHON_USEDEP}]
)
"
# Files built without CFLAGS/LDFLAGS, acceptable for rust
QA_FLAGS_IGNORED="usr/lib.*/py.*/site-packages/cryptography/hazmat/bindings/_rust.*.so"
distutils_enable_tests pytest
src_unpack() {
cargo_src_unpack
}
src_prepare() {
default
sed -i -e 's:--benchmark-disable::' pyproject.toml || die
# work around availability macros not supported in GCC (yet)
if [[ ${CHOST} == *-darwin* ]] ; then
local darwinok=0
if [[ ${CHOST##*-darwin} -ge 16 ]] ; then
darwinok=1
fi
sed -i -e 's/__builtin_available(macOS 10\.12, \*)/'"${darwinok}"'/' \
src/_cffi_src/openssl/src/osrandom_engine.c || die
fi
}
python_configure_all() {
filter-lto # bug #903908
}
python_test() {
local -x PYTHONPATH="${PYTHONPATH}:${WORKDIR}/cryptography_vectors-${PV}"
local EPYTEST_IGNORE=(
tests/bench
)
epytest -n "$(makeopts_jobs)"
}

@ -1,3 +1 @@
DIST ddt-1.6.0.gh.tar.gz 19615 BLAKE2B f79e25e9da39615d85f000c1029babef64725b159a2b77003efe9f9c5869fb26087fa20e1a58eea485479b12ee89c602076613a9d50711347a775a09c4bbb180 SHA512 c5ea14d3f60384676d9631c84d938b774dd360cea9b0ee1b111692dc2bc06238b5ffd3ab8950207b77aa007bac0ac79b290533a2532be4bee68b642629843a82
DIST ddt-1.7.0.gh.tar.gz 19742 BLAKE2B aafecea2363f9a1dc102dde1e19ce8f55def7555755342cb23cd027eda7afd0fbf9bb8b5a45a079cce107dfab9b7a78055b81258f206a593955941ce222f1393 SHA512 1f049c1f86cd58867b6ef3d094310e78c94bd11f5602e8a9ffe392bbcf173f23be4f6b77730953b7d747d56a31a3a378d229c7d697383c2e3ce4517d12d13d2d
DIST ddt-1.7.1.gh.tar.gz 19770 BLAKE2B a2322e380d4e218fa81dae17c4bd057786ba38aa581015991c0eee8f250a0a94f36311e0fb638362b0db5ec56c0392dce54e8e69568ab90a936e6cb9b848fb78 SHA512 7b1f30c08c74fce514380d68b0d44aa1bf8ff1b8cdbbd52bde83e0bb46439cc7ae2fc7f32e0acc257cb3636f6aadefcbfe6815ea5e372a70503131d7fc869511

@ -1,32 +0,0 @@
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
DISTUTILS_USE_PEP517=setuptools
PYTHON_COMPAT=( python3_{10..12} pypy3 )
inherit distutils-r1
DESCRIPTION="Data-Driven/Decorated Tests"
HOMEPAGE="
https://pypi.org/project/ddt/
https://github.com/datadriventests/ddt/
"
SRC_URI="
https://github.com/datadriventests/ddt/archive/${PV}.tar.gz
-> ${P}.gh.tar.gz
"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86"
BDEPEND="
test? (
dev-python/six[${PYTHON_USEDEP}]
dev-python/pyyaml[${PYTHON_USEDEP}]
)
"
distutils_enable_tests pytest

@ -1,33 +0,0 @@
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
DISTUTILS_USE_PEP517=setuptools
PYTHON_COMPAT=( python3_{10..12} pypy3 )
inherit distutils-r1
DESCRIPTION="Data-Driven/Decorated Tests"
HOMEPAGE="
https://pypi.org/project/ddt/
https://github.com/datadriventests/ddt/
"
SRC_URI="
https://github.com/datadriventests/ddt/archive/${PV}.tar.gz
-> ${P}.gh.tar.gz
"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 sparc x86"
BDEPEND="
test? (
dev-python/aiounittest[${PYTHON_USEDEP}]
dev-python/pyyaml[${PYTHON_USEDEP}]
dev-python/six[${PYTHON_USEDEP}]
)
"
distutils_enable_tests pytest

@ -20,7 +20,7 @@ SRC_URI="
LICENSE="MIT"
SLOT="0"
KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86"
KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86"
BDEPEND="
test? (

@ -1,2 +1 @@
DIST gast-0.5.3.tar.gz 23455 BLAKE2B b7263e959178421a7ba1cdb41cb09edbe1c30680573e1ab3b4de114e0bd151d2278be799fcc1a01524bb5ee6f6d6764d9902dd0018e7cbe54ac7a3d1300bbeb1 SHA512 a836be76303591ca7c40596d98a29dbd53f281e277c8c23e3821b2003d4e8aaf4d806e7f532f27c0eadd4bdca5a28dc0a3902245505ab97497b9afbfee0c2e52
DIST gast-0.5.4.tar.gz 25346 BLAKE2B c7161737367c2a3335d9e51af1dc09934ea16694d497cb151ed713b3372666456b5dcc2c595294c7162035af29d454bad5c8fb677030de9235c52d5ff8a3f05b SHA512 a288e2ecc15af2a5d50cb34979995f936e88cdaa4427f809b69015cb6ba98eaffd7ea9eff2dc61dae6f6c2d7d9c5cc6e3e9a5565bd7b1dd308cd39f56087c67d

@ -1,18 +0,0 @@
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
PYTHON_COMPAT=( pypy3 python3_{10..12} )
DISTUTILS_USE_PEP517=setuptools
inherit distutils-r1 pypi
DESCRIPTION="A generic AST to represent Python2 and Python3's Abstract Syntax Tree (AST)"
HOMEPAGE="https://pypi.org/project/gast/"
LICENSE="BSD PSF-2"
SLOT="0"
KEYWORDS="amd64 arm arm64 ~ia64 ~loong ppc ppc64 ~riscv ~s390 ~sparc x86 ~arm64-macos ~x64-macos"
distutils_enable_tests unittest

@ -13,6 +13,6 @@ HOMEPAGE="https://pypi.org/project/gast/"
LICENSE="BSD PSF-2"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~ia64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~arm64-macos ~x64-macos"
KEYWORDS="amd64 arm arm64 ~ia64 ~loong ppc ppc64 ~riscv ~s390 ~sparc x86 ~arm64-macos ~x64-macos"
distutils_enable_tests unittest

@ -1,4 +1,3 @@
DIST google-api-python-client-2.112.0.tar.gz 12465562 BLAKE2B d29c22176fb3467c7df0d937baa954973437fc03862b56a370888fe014b24e3ec1b8b1c00b80251bcd039711340aea13bd21618f782ee4bd7c975c0820271630 SHA512 e9bbec1c27105cb772c1f059b5cf2f83cf44f1aa003149a509cac15c46d68c80edd2705aad597f31d98e31cb61396f0516ddc69b5041237d96246898c31329b4
DIST google-api-python-client-2.113.0.tar.gz 12473297 BLAKE2B 7799021db708008bbc1d91a11c543fd261af467d226b3bc6b9773878826ac8c2820961d30ed6f3c2abbbe0d9618ceb52eb350594d4d02325cc36e4f0ccc56861 SHA512 257d062de19849c4807cec249e1b7d13a60721ad58ff701affaecfd45253d2c83ddd79079478245c2df0c0f94b220070d342769f1dcfab1fb62f658970c0b317
DIST google-api-python-client-2.114.0.tar.gz 11486137 BLAKE2B 69172e5db315f705d922eda5a093980c56e519cc2b808ed316962235ff20c5401971e1795a53b929bcf8c20c678058c6750d42b4f486214c9cd642e141862b8a SHA512 f39939ea64955488c1445713e649204252c413fbe9e58d2d4668b4f5042ef48853044cfd034b3e78a6cd6579bc09790a17663d92cf3d5274f0bea0cea284cdaa
DIST google-api-python-client-2.115.0.tar.gz 11512432 BLAKE2B 95a3eac1a745ca094b6011fa1ddf8a24e8996201c515337f641e2a3afc38fc8a4bd4aa42b8f16f8965aefb02f21f173a6fc43c6a967d8aecac2abd689de8b294 SHA512 f24f3accd1ed1dd6fd3140608f53163401527ad926631488f46eb4f6bd02ef8434f2b2a6223240cb65f5a26fe6fab663f460265ffe7fb8b0d9c0d3d1bea879bc

@ -1,49 +0,0 @@
# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
DISTUTILS_USE_PEP517=setuptools
PYPI_NO_NORMALIZE=1
PYTHON_COMPAT=( python3_{10..11} )
inherit distutils-r1 pypi
DESCRIPTION="Google API Client for Python"
HOMEPAGE="
https://github.com/googleapis/google-api-python-client/
https://pypi.org/project/google-api-python-client/
"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="amd64 ~arm arm64 x86"
RDEPEND="
>=dev-python/httplib2-0.15[${PYTHON_USEDEP}]
<dev-python/httplib2-1[${PYTHON_USEDEP}]
>=dev-python/google-api-core-2.3.1[${PYTHON_USEDEP}]
>=dev-python/google-auth-1.35.0[${PYTHON_USEDEP}]
>=dev-python/google-auth-httplib2-0.1.0[${PYTHON_USEDEP}]
>=dev-python/uritemplate-3.0.0[${PYTHON_USEDEP}]
<dev-python/uritemplate-5[${PYTHON_USEDEP}]
"
BDEPEND="
test? (
dev-python/mock[${PYTHON_USEDEP}]
dev-python/pandas[${PYTHON_USEDEP}]
dev-python/parameterized[${PYTHON_USEDEP}]
)
"
distutils_enable_tests pytest
python_test() {
local EPYTEST_DESELECT=(
# require Internet access (and credentials)
tests/test_discovery.py::DiscoveryErrors::test_credentials_and_credentials_file_mutually_exclusive
tests/test_discovery.py::DiscoveryFromDocument::test_api_endpoint_override_from_client_options_mapping_object
)
epytest tests
}

@ -17,7 +17,7 @@ HOMEPAGE="
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~x86"
KEYWORDS="amd64 ~arm arm64 x86"
RDEPEND="
>=dev-python/httplib2-0.15[${PYTHON_USEDEP}]

@ -1,2 +1,3 @@
DIST google-auth-2.26.1.tar.gz 238839 BLAKE2B 91f866d35a9a3c0faaa8305e0b4d28ce87c8c5cf7b1549d4b8cea6cda96efeda4909846fd50545774c8bb128a1b7b1b74bc79ffd9bd78c4ddf138d75829bedd8 SHA512 08593547cc447e10bc1a033f154f1f4e7a248250899ef2ea49aa818a2705d0df3aa01c4dc84b6f4eb1f51e08187c634d229c396d0f2615a987e7fcc2dec9010b
DIST google-auth-2.26.2.tar.gz 238968 BLAKE2B 58b8410130c68fbf24a40d57eae28107432e46a1676c1e32684c05cc1b1077dd5133a5891d89eedc9c9e4acacf9148deca5e650ad3860e6f23096f4dc0457aa3 SHA512 4a4ed658d0911f97e46f7ae2d59e5409facf639c6faeee506869b64d14a448fa7b83b4121bf1a48b515882e1fdececc7dbdd96562bb6b5cce7c7bfc86abe806a
DIST google-auth-2.27.0.tar.gz 239688 BLAKE2B 3fa3c3c3da41b6337140e0ae474ab5b3a2da5aad3d18be64959c90339e03279594af97033faf406c0e76a923686b89a8f55ce5f7dff3bf3ad4510aca85189240 SHA512 a352cfced15d3e312410d382170909024d00cc27c34c3ec166af36aacf37ea9ac76b5c8bafc6e1379e2ddf3e422c27ce996474338d4efd17c21c9e79f3756994

@ -0,0 +1,60 @@
# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
DISTUTILS_USE_PEP517=setuptools
PYPI_NO_NORMALIZE=1
PYTHON_COMPAT=( python3_{10..11} )
inherit distutils-r1 pypi
DESCRIPTION="Google Authentication Library"
HOMEPAGE="
https://github.com/googleapis/google-auth-library-python/
https://pypi.org/project/google-auth/
"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~x86"
RDEPEND="
<dev-python/cachetools-6.0.0[${PYTHON_USEDEP}]
>=dev-python/pyasn1-0.1.7[${PYTHON_USEDEP}]
>=dev-python/pyasn1-modules-0.2.1[${PYTHON_USEDEP}]
>=dev-python/rsa-3.1.4[${PYTHON_USEDEP}]
"
BDEPEND="
test? (
dev-python/cryptography[${PYTHON_USEDEP}]
dev-python/flask[${PYTHON_USEDEP}]
dev-python/freezegun[${PYTHON_USEDEP}]
dev-python/grpcio[${PYTHON_USEDEP}]
dev-python/mock[${PYTHON_USEDEP}]
dev-python/moto[${PYTHON_USEDEP}]
dev-python/pyopenssl[${PYTHON_USEDEP}]
dev-python/pytest-localserver[${PYTHON_USEDEP}]
dev-python/pyu2f[${PYTHON_USEDEP}]
dev-python/requests[${PYTHON_USEDEP}]
dev-python/responses[${PYTHON_USEDEP}]
)
"
distutils_enable_tests pytest
python_test() {
local EPYTEST_IGNORE=(
# these are compatibility tests with oauth2client
# disable them to unblock removal of that package
tests/test__oauth2client.py
)
local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
epytest
}
python_compile() {
distutils-r1_python_compile
find "${BUILD_DIR}" -name '*.pth' -delete || die
}

@ -1 +1,2 @@
DIST hatch-hatchling-v1.21.0.gh.tar.gz 764748 BLAKE2B 3b048ed34df4da9ed5ec8d1c0121e21aabada559e981e9fd36a7188aceedf79594b165ed705edfbc5d210a09ee9a022c8c6e433e930338f2053e4c48feef0d44 SHA512 5ee8151929d6bdbb67e7f4e3e0298c730ff7fef5a7d7b764192eb2e16327d80a2935eee8831c168d19ed41c7184ca5b5eef7a67c9d5756cea25a7bd79945d344
DIST hatch-hatchling-v1.21.1.gh.tar.gz 774577 BLAKE2B 31e2b50598b4fe120ecea407a37e3262876a2ec1e8cf02f272c25838e73afc37f2fef1f8fab08b2e3b83bfd828f6c558ce303b084081b83504343a8bb057c341 SHA512 91b5684737fac19758d7095b357f99031d46e9f981e093cab848ce770fd1f9440b69212f3ef2217e3700e7dd7985a97c2735bbd27b306c7b8aa7bffc5c950fb4

@ -0,0 +1,86 @@
# Copyright 2022-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
DISTUTILS_USE_PEP517=standalone
PYTHON_TESTED=( pypy3 python3_{10..12} )
PYTHON_COMPAT=( "${PYTHON_TESTED[@]}" )
inherit distutils-r1
TAG=${P/-/-v}
MY_P=hatch-${TAG}
DESCRIPTION="Modern, extensible Python build backend"
HOMEPAGE="
https://pypi.org/project/hatchling/
https://github.com/pypa/hatch/
"
SRC_URI="
https://github.com/pypa/hatch/archive/${TAG}.tar.gz
-> ${MY_P}.gh.tar.gz
"
S=${WORKDIR}/${MY_P}/backend
LICENSE="MIT"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos ~x64-solaris"
# deps are listed in backend/src/hatchling/ouroboros.py
RDEPEND="
>=dev-python/editables-0.3[${PYTHON_USEDEP}]
>=dev-python/packaging-21.3[${PYTHON_USEDEP}]
>=dev-python/pathspec-0.10.1[${PYTHON_USEDEP}]
>=dev-python/pluggy-1.0.0[${PYTHON_USEDEP}]
$(python_gen_cond_dep '
>=dev-python/tomli-1.2.2[${PYTHON_USEDEP}]
' 3.10)
dev-python/trove-classifiers[${PYTHON_USEDEP}]
"
BDEPEND="
${RDEPEND}
test? (
$(python_gen_cond_dep '
dev-python/atomicwrites[${PYTHON_USEDEP}]
dev-python/click[${PYTHON_USEDEP}]
dev-python/httpx[${PYTHON_USEDEP}]
dev-python/platformdirs[${PYTHON_USEDEP}]
dev-python/pytest-mock[${PYTHON_USEDEP}]
dev-python/rich[${PYTHON_USEDEP}]
dev-python/tomli-w[${PYTHON_USEDEP}]
dev-python/virtualenv[${PYTHON_USEDEP}]
' "${PYTHON_TESTED[@]}")
)
"
distutils_enable_tests pytest
python_test() {
if ! has "${EPYTHON}" "${PYTHON_TESTED[@]/_/.}"; then
einfo "Skipping tests on ${EPYTHON}"
return
fi
local -x EPYTEST_DESELECT=(
# these run pip to install stuff
tests/backend/dep/test_core.py::test_dependency_found
tests/backend/dep/test_core.py::test_extra_met
tests/backend/dep/test_core.py::test_extra_no_dependencies
tests/backend/dep/test_core.py::test_extra_unmet
tests/backend/dep/test_core.py::test_unknown_extra
tests/backend/dep/test_core.py::test_version_unmet
# broken if CARGO is set
tests/backend/builders/test_app.py::TestBuildBootstrap::test_no_cargo
)
# top-level "tests" directory contains tests both for hatch
# and hatchling
cd "${WORKDIR}/${MY_P}" || die
local -x PYTHONPATH="src:${PYTHONPATH}"
# sigh; standalone test suites are overrated, right?
echo "__version__ = '${PV}'" > src/hatch/_version.py || die
# tests mock cargo subprocess call but the backend raises if CARGO
# is not set and shutil.which() can't find it
local -x CARGO=cargo
epytest tests/backend
}

@ -1,2 +1 @@
DIST ipython-8.19.0.tar.gz 5487746 BLAKE2B 40ab2bc5349e429f3d7100cc1a35bac1cbb7c4052b151d877c1ea3e3e32d5b332d69b5969f6f81c1553edcd613bae9719b5cd1317f6e60d6a39a29d719ae13f6 SHA512 4d98a2d3d720578ab77cee567b021ca1e57c1ae2baa64d94acd3479c117998c8d8df7983f6d188a160f298fef6cab2ebabba15384c872496d619d9c6e06806f7
DIST ipython-8.20.0.tar.gz 5488416 BLAKE2B 5894e0a8ccc2be0c5a41d29e0b824042b0e2f735333889dfc870852c7e8f10b9c3883762652f5a452758ce6466954a391bb57919bb07bfdd1159c94e07b8e9dc SHA512 c97077e52c2de7a833a648c03ecdf98e8d96c7e9c55fb6c923e940673b53494ab02adf756736ad8c773061e0c75aebeb8f918ee32851e5282f113089ce5c8b91

@ -1,172 +0,0 @@
# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
DISTUTILS_USE_PEP517=setuptools
PYTHON_COMPAT=( pypy3 python3_{10..12} )
PYTHON_REQ_USE='readline(+),sqlite,threads(+)'
inherit distutils-r1 optfeature pypi virtualx
DESCRIPTION="Advanced interactive shell for Python"
HOMEPAGE="
https://ipython.org/
https://github.com/ipython/ipython/
https://pypi.org/project/ipython/
"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~loong ppc ppc64 ~riscv ~s390 sparc x86 ~arm64-macos ~x64-macos"
IUSE="doc examples notebook nbconvert qt5 +smp test"
RESTRICT="!test? ( test )"
RDEPEND="
dev-python/decorator[${PYTHON_USEDEP}]
>=dev-python/jedi-0.16[${PYTHON_USEDEP}]
dev-python/matplotlib-inline[${PYTHON_USEDEP}]
>=dev-python/pexpect-4.3[${PYTHON_USEDEP}]
>=dev-python/prompt-toolkit-3.0.41[${PYTHON_USEDEP}]
<dev-python/prompt-toolkit-3.1[${PYTHON_USEDEP}]
>=dev-python/pygments-2.4.0[${PYTHON_USEDEP}]
dev-python/stack-data[${PYTHON_USEDEP}]
>=dev-python/traitlets-5.0[${PYTHON_USEDEP}]
$(python_gen_cond_dep '
dev-python/exceptiongroup[${PYTHON_USEDEP}]
' 3.10)
"
BDEPEND="
test? (
app-text/dvipng[truetype]
>=dev-python/ipykernel-5.1.0[${PYTHON_USEDEP}]
dev-python/matplotlib[${PYTHON_USEDEP}]
dev-python/nbformat[${PYTHON_USEDEP}]
>=dev-python/numpy-1.23[${PYTHON_USEDEP}]
dev-python/matplotlib-inline[${PYTHON_USEDEP}]
dev-python/pickleshare[${PYTHON_USEDEP}]
dev-python/requests[${PYTHON_USEDEP}]
dev-python/testpath[${PYTHON_USEDEP}]
)
doc? (
>=dev-python/ipykernel-5.1.0[${PYTHON_USEDEP}]
dev-python/matplotlib[${PYTHON_USEDEP}]
>=dev-python/sphinx-2[${PYTHON_USEDEP}]
dev-python/sphinx-rtd-theme[${PYTHON_USEDEP}]
)
"
distutils_enable_tests pytest
RDEPEND+="
nbconvert? (
dev-python/nbconvert[${PYTHON_USEDEP}]
)
"
PDEPEND="
$(python_gen_cond_dep '
notebook? (
dev-python/notebook[${PYTHON_USEDEP}]
dev-python/ipywidgets[${PYTHON_USEDEP}]
dev-python/widgetsnbextension[${PYTHON_USEDEP}]
)
qt5? ( dev-python/qtconsole[${PYTHON_USEDEP}] )
' 'python*')
smp? (
>=dev-python/ipykernel-5.1.0[${PYTHON_USEDEP}]
>=dev-python/ipyparallel-6.2.3[${PYTHON_USEDEP}]
)
"
PATCHES=(
"${FILESDIR}"/2.1.0-substitute-files.patch
)
python_prepare_all() {
# Remove out of date insource files
#rm IPython/extensions/cythonmagic.py || die
#rm IPython/extensions/rmagic.py || die
# Prevent un-needed download during build
if use doc; then
sed -e "/^ 'sphinx.ext.intersphinx',/d" -i docs/source/conf.py || die
fi
# Rename the test directory to reduce sys.path pollution
# https://github.com/ipython/ipython/issues/12892
mv IPython/extensions/{,ipython_}tests || die
distutils-r1_python_prepare_all
}
python_compile_all() {
if use doc; then
emake -C docs html_noapi
HTML_DOCS=( docs/build/html/. )
fi
}
src_test() {
virtx distutils-r1_src_test
}
python_test() {
local -x IPYTHON_TESTING_TIMEOUT_SCALE=20
local EPYTEST_DESELECT=(
# TODO: looks to be a regression due to a newer dep
IPython/core/tests/test_oinspect.py::test_class_signature
IPython/core/tests/test_oinspect.py::test_render_signature_long
IPython/terminal/tests/test_shortcuts.py::test_modify_shortcut_with_filters
)
case ${EPYTHON} in
pypy3)
EPYTEST_DESELECT+=(
# https://github.com/numpy/numpy/issues/25164
IPython/lib/tests/test_display.py::TestAudioDataWithoutNumpy
)
;;
esac
# nonfatal implied by virtx
nonfatal epytest || die "Tests failed with ${EPYTHON}"
}
python_install() {
distutils-r1_python_install
# Create ipythonX.Y symlinks.
# TODO:
# 1. do we want them for pypy? No. pypy has no numpy
# 2. handle it in the eclass instead (use _python_ln_rel).
# With pypy not an option the dosym becomes unconditional
dosym ../lib/python-exec/${EPYTHON}/ipython \
/usr/bin/ipython${EPYTHON#python}
}
python_install_all() {
distutils-r1_python_install_all
if use examples; then
dodoc -r examples
docompress -x /usr/share/doc/${PF}/examples
fi
}
pkg_postinst() {
optfeature "code formatting" dev-python/black
optfeature "sympyprinting" dev-python/sympy
optfeature "cythonmagic" dev-python/cython
optfeature "%lprun magic command" dev-python/line-profiler
optfeature "%matplotlib magic command" dev-python/matplotlib-inline
optfeature "%mprun magic command" dev-python/memory-profiler
if use nbconvert; then
if ! has_version virtual/pandoc ; then
einfo "Node.js will be used to convert notebooks to other formats"
einfo "like HTML. Support for that is still experimental. If you"
einfo "encounter any problems, please use app-text/pandoc instead."
fi
fi
}

Some files were not shown because too many files have changed in this diff Show More

Loading…
Cancel
Save